import{s as ve,z as ye,n as _e,o as $e}from"../chunks/scheduler.182ea377.js";import{S as Te,i as xe,g as o,s as a,r as J,A as Me,h as l,f as n,c as s,j as ne,u as Z,x as p,k as f,y as H,a as i,v as I,d as L,t as U,w as W}from"../chunks/index.abf12888.js";import{I as ke}from"../chunks/IconCopyLink.f41320b2.js";import{C as ie}from"../chunks/CodeBlock.893b0106.js";import{D as Pe}from"../chunks/DocNotebookDropdown.b9cef2ac.js";function je(se){let m,N,u,c,G,h,ae,C,oe="Conditional image generation",q,g,D,d,le="Conditional image generation allows you to generate images from a text prompt. The text is converted into embeddings which are used to condition the model to generate an image from noise.",S,b,re='The <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> is the easiest way to use a pre-trained diffusion system for inference.',V,w,pe='Start by creating an instance of <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> and specify which pipeline <a href="https://huggingface.co/models?library=diffusers&amp;sort=downloads" rel="nofollow">checkpoint</a> you would like to download.',E,v,fe='In this guide, you’ll use <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> for text-to-image generation with <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow"><code>runwayml/stable-diffusion-v1-5</code></a>:',B,y,A,_,me=`The <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> downloads and caches all modeling, tokenization, and scheduling components.
Because the model consists of roughly 1.4 billion parameters, we strongly recommend running it on a GPU.
You can move the generator object to a GPU, just like you would in PyTorch:`,F,$,R,T,ue="Now you can use the <code>generator</code> on your text prompt:",z,x,Y,M,ce='The output is by default wrapped into a <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow"><code>PIL.Image</code></a> object.',Q,k,he="You can save the image by calling:",X,P,K,j,ge="Try out the Spaces below, and feel free to play around with the guidance scale parameter to see how it affects the image quality!",O,r,de,ee;return h=new ke({}),g=new Pe({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/conditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/conditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/conditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/conditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/conditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/conditional_image_generation.ipynb"}]}}),y=new ie({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMnJ1bndheW1sJTJGc3RhYmxlLWRpZmZ1c2lvbi12MS01JTIyJTJDJTIwdXNlX3NhZmV0ZW5zb3JzJTNEVHJ1ZSk=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>, use_safetensors=<span class="hljs-literal">True</span>)`}}),$=new ie({props:{code:"Z2VuZXJhdG9yLnRvKCUyMmN1ZGElMjIp",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>generator.to(<span class="hljs-string">&quot;cuda&quot;</span>)'}}),x=new ie({props:{code:"aW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IoJTIyQW4lMjBpbWFnZSUyMG9mJTIwYSUyMHNxdWlycmVsJTIwaW4lMjBQaWNhc3NvJTIwc3R5bGUlMjIpLmltYWdlcyU1QjAlNUQ=",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image = generator(<span class="hljs-string">&quot;An image of a squirrel in Picasso style&quot;</span>).images[<span class="hljs-number">0</span>]'}}),P=new ie({props:{code:"aW1hZ2Uuc2F2ZSglMjJpbWFnZV9vZl9zcXVpcnJlbF9wYWludGluZy5wbmclMjIp",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;image_of_squirrel_painting.png&quot;</span>)'}}),{c(){m=o("meta"),N=a(),u=o("h1"),c=o("a"),G=o("span"),J(h.$$.fragment),ae=a(),C=o("span"),C.textContent=oe,q=a(),J(g.$$.fragment),D=a(),d=o("p"),d.textContent=le,S=a(),b=o("p"),b.innerHTML=re,V=a(),w=o("p"),w.innerHTML=pe,E=a(),v=o("p"),v.innerHTML=fe,B=a(),J(y.$$.fragment),A=a(),_=o("p"),_.innerHTML=me,F=a(),J($.$$.fragment),R=a(),T=o("p"),T.innerHTML=ue,z=a(),J(x.$$.fragment),Y=a(),M=o("p"),M.innerHTML=ce,Q=a(),k=o("p"),k.textContent=he,X=a(),J(P.$$.fragment),K=a(),j=o("p"),j.textContent=ge,O=a(),r=o("iframe"),this.h()},l(e){const t=Me("svelte-1phssyn",document.head);m=l(t,"META",{name:!0,content:!0}),t.forEach(n),N=s(e),u=l(e,"H1",{class:!0});var te=ne(u);c=l(te,"A",{id:!0,class:!0,href:!0});var be=ne(c);G=l(be,"SPAN",{});var we=ne(G);Z(h.$$.fragment,we),we.forEach(n),be.forEach(n),ae=s(te),C=l(te,"SPAN",{"data-svelte-h":!0}),p(C)!=="svelte-8j3o2e"&&(C.textContent=oe),te.forEach(n),q=s(e),Z(g.$$.fragment,e),D=s(e),d=l(e,"P",{"data-svelte-h":!0}),p(d)!=="svelte-550jym"&&(d.textContent=le),S=s(e),b=l(e,"P",{"data-svelte-h":!0}),p(b)!=="svelte-13s4k5x"&&(b.innerHTML=re),V=s(e),w=l(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-tq7pvl"&&(w.innerHTML=pe),E=s(e),v=l(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-15db8iw"&&(v.innerHTML=fe),B=s(e),Z(y.$$.fragment,e),A=s(e),_=l(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-1y9fnbf"&&(_.innerHTML=me),F=s(e),Z($.$$.fragment,e),R=s(e),T=l(e,"P",{"data-svelte-h":!0}),p(T)!=="svelte-xbkzs2"&&(T.innerHTML=ue),z=s(e),Z(x.$$.fragment,e),Y=s(e),M=l(e,"P",{"data-svelte-h":!0}),p(M)!=="svelte-1n0jmoo"&&(M.innerHTML=ce),Q=s(e),k=l(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-1v6wxor"&&(k.textContent=he),X=s(e),Z(P.$$.fragment,e),K=s(e),j=l(e,"P",{"data-svelte-h":!0}),p(j)!=="svelte-x1j34k"&&(j.textContent=ge),O=s(e),r=l(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),ne(r).forEach(n),this.h()},h(){f(m,"name","hf:doc:metadata"),f(m,"content",JSON.stringify(Ce)),f(c,"id","conditional-image-generation"),f(c,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(c,"href","#conditional-image-generation"),f(u,"class","relative group"),ye(r.src,de="https://stabilityai-stable-diffusion.hf.space")||f(r,"src",de),f(r,"frameborder","0"),f(r,"width","850"),f(r,"height","500")},m(e,t){H(document.head,m),i(e,N,t),i(e,u,t),H(u,c),H(c,G),I(h,G,null),H(u,ae),H(u,C),i(e,q,t),I(g,e,t),i(e,D,t),i(e,d,t),i(e,S,t),i(e,b,t),i(e,V,t),i(e,w,t),i(e,E,t),i(e,v,t),i(e,B,t),I(y,e,t),i(e,A,t),i(e,_,t),i(e,F,t),I($,e,t),i(e,R,t),i(e,T,t),i(e,z,t),I(x,e,t),i(e,Y,t),i(e,M,t),i(e,Q,t),i(e,k,t),i(e,X,t),I(P,e,t),i(e,K,t),i(e,j,t),i(e,O,t),i(e,r,t),ee=!0},p:_e,i(e){ee||(L(h.$$.fragment,e),L(g.$$.fragment,e),L(y.$$.fragment,e),L($.$$.fragment,e),L(x.$$.fragment,e),L(P.$$.fragment,e),ee=!0)},o(e){U(h.$$.fragment,e),U(g.$$.fragment,e),U(y.$$.fragment,e),U($.$$.fragment,e),U(x.$$.fragment,e),U(P.$$.fragment,e),ee=!1},d(e){e&&(n(N),n(u),n(q),n(D),n(d),n(S),n(b),n(V),n(w),n(E),n(v),n(B),n(A),n(_),n(F),n(R),n(T),n(z),n(Y),n(M),n(Q),n(k),n(X),n(K),n(j),n(O),n(r)),n(m),W(h),W(g,e),W(y,e),W($,e),W(x,e),W(P,e)}}}const Ce={local:"conditional-image-generation",title:"Conditional image generation"};function Je(se){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ge extends Te{constructor(m){super(),xe(this,m,Je,je,ve,{})}}export{Ge as component};
