import{s as Ce,n as Oe,o as ke}from"../chunks/scheduler.182ea377.js";import{S as Ne,i as Ae,g as r,s as i,r as S,A as Ee,h as n,f as t,c as l,j as d,u as I,x as k,k as a,y as o,a as m,v as H,d as U,t as q,w as F}from"../chunks/index.abf12888.js";import{D as me}from"../chunks/Docstring.1979e8f9.js";import{I as fe}from"../chunks/IconCopyLink.f41320b2.js";function Le(ce){let c,J,p,g,j,$,re,N,pe="Transformer Temporal",R,w,ue="A Transformer model for video-like data.",W,u,T,V,x,ne,A,he="TransformerTemporalModel",Z,f,M,ae,E,_e="A Transformer model for video-like data.",se,v,y,ie,L,ge="The <code>TransformerTemporal</code> forward method.",G,h,b,B,C,le,P,Te="TransformerTemporalModelOutput",K,_,O,de,D,ve="The output of <code>TransformerTemporalModel</code>.",Q;return $=new fe({}),x=new fe({}),M=new me({props:{name:"class diffusers.models.TransformerTemporalModel",anchor:"diffusers.models.TransformerTemporalModel",parameters:[{name:"num_attention_heads",val:": int = 16"},{name:"attention_head_dim",val:": int = 88"},{name:"in_channels",val:": typing.Optional[int] = None"},{name:"out_channels",val:": typing.Optional[int] = None"},{name:"num_layers",val:": int = 1"},{name:"dropout",val:": float = 0.0"},{name:"norm_num_groups",val:": int = 32"},{name:"cross_attention_dim",val:": typing.Optional[int] = None"},{name:"attention_bias",val:": bool = False"},{name:"sample_size",val:": typing.Optional[int] = None"},{name:"activation_fn",val:": str = 'geglu'"},{name:"norm_elementwise_affine",val:": bool = True"},{name:"double_self_attention",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.TransformerTemporalModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.models.TransformerTemporalModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 88) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.models.TransformerTemporalModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of channels in the input and output (specify if the input is <strong>continuous</strong>).`,name:"in_channels"},{anchor:"diffusers.models.TransformerTemporalModel.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.models.TransformerTemporalModel.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.models.TransformerTemporalModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of <code>encoder_hidden_states</code> dimensions to use.",name:"cross_attention_dim"},{anchor:"diffusers.models.TransformerTemporalModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; The width of the latent images (specify if the input is <strong>discrete</strong>).
This is fixed during training since it is used to learn a number of position embeddings.`,name:"sample_size"},{anchor:"diffusers.models.TransformerTemporalModel.activation_fn",description:"<strong>activation_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;geglu&quot;</code>) &#x2014; Activation function to use in feed-forward.",name:"activation_fn"},{anchor:"diffusers.models.TransformerTemporalModel.attention_bias",description:`<strong>attention_bias</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if the <code>TransformerBlock</code> attention should contain a bias parameter.`,name:"attention_bias"},{anchor:"diffusers.models.TransformerTemporalModel.double_self_attention",description:`<strong>double_self_attention</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if each <code>TransformerBlock</code> should contain two self-attention layers.`,name:"double_self_attention"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/transformer_temporal.py#L39"}}),y=new me({props:{name:"forward",anchor:"diffusers.models.TransformerTemporalModel.forward",parameters:[{name:"hidden_states",val:""},{name:"encoder_hidden_states",val:" = None"},{name:"timestep",val:" = None"},{name:"class_labels",val:" = None"},{name:"num_frames",val:" = 1"},{name:"cross_attention_kwargs",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.TransformerTemporalModel.forward.hidden_states",description:`<strong>hidden_states</strong> (<code>torch.LongTensor</code> of shape <code>(batch size, num latent pixels)</code> if discrete, <code>torch.FloatTensor</code> of shape <code>(batch size, channel, height, width)</code> if continuous) &#x2014;
Input hidden_states.`,name:"hidden_states"},{anchor:"diffusers.models.TransformerTemporalModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, encoder_hidden_states dim)</code>, <em>optional</em>) &#x2014;
Conditional embeddings for cross attention layer. If not given, cross-attention defaults to
self-attention.`,name:"encoder_hidden_states"},{anchor:"diffusers.models.TransformerTemporalModel.forward.timestep",description:`<strong>timestep</strong> ( <code>torch.long</code>, <em>optional</em>) &#x2014;
Used to indicate denoising step. Optional timestep to be applied as an embedding in <code>AdaLayerNorm</code>.`,name:"timestep"},{anchor:"diffusers.models.TransformerTemporalModel.forward.class_labels",description:`<strong>class_labels</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, num classes)</code>, <em>optional</em>) &#x2014;
Used to indicate class labels conditioning. Optional class labels to be applied as an embedding in
<code>AdaLayerZeroNorm</code>.`,name:"class_labels"},{anchor:"diffusers.models.TransformerTemporalModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/models/unet2d-cond#diffusers.models.unet_2d_condition.UNet2DConditionOutput">UNet2DConditionOutput</a> instead of a plain
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/transformer_temporal.py#L107",returnDescription:`
<p>If <code>return_dict</code> is True, an <a
  href="/docs/diffusers/main/en/api/models/transformer_temporal#diffusers.models.transformer_temporal.TransformerTemporalModelOutput"
>TransformerTemporalModelOutput</a> is
returned, otherwise a <code>tuple</code> where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/models/transformer_temporal#diffusers.models.transformer_temporal.TransformerTemporalModelOutput"
>TransformerTemporalModelOutput</a> or <code>tuple</code></p>
`}}),C=new fe({}),O=new me({props:{name:"class diffusers.models.transformer_temporal.TransformerTemporalModelOutput",anchor:"diffusers.models.transformer_temporal.TransformerTemporalModelOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModelOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size x num_frames, num_channels, height, width)</code>) &#x2014;
The hidden states output conditioned on <code>encoder_hidden_states</code> input.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/transformer_temporal.py#L27"}}),{c(){c=r("meta"),J=i(),p=r("h1"),g=r("a"),j=r("span"),S($.$$.fragment),re=i(),N=r("span"),N.textContent=pe,R=i(),w=r("p"),w.textContent=ue,W=i(),u=r("h2"),T=r("a"),V=r("span"),S(x.$$.fragment),ne=i(),A=r("span"),A.textContent=he,Z=i(),f=r("div"),S(M.$$.fragment),ae=i(),E=r("p"),E.textContent=_e,se=i(),v=r("div"),S(y.$$.fragment),ie=i(),L=r("p"),L.innerHTML=ge,G=i(),h=r("h2"),b=r("a"),B=r("span"),S(C.$$.fragment),le=i(),P=r("span"),P.textContent=Te,K=i(),_=r("div"),S(O.$$.fragment),de=i(),D=r("p"),D.innerHTML=ve,this.h()},l(e){const s=Ee("svelte-1phssyn",document.head);c=n(s,"META",{name:!0,content:!0}),s.forEach(t),J=l(e),p=n(e,"H1",{class:!0});var X=d(p);g=n(X,"A",{id:!0,class:!0,href:!0});var be=d(g);j=n(be,"SPAN",{});var $e=d(j);I($.$$.fragment,$e),$e.forEach(t),be.forEach(t),re=l(X),N=n(X,"SPAN",{"data-svelte-h":!0}),k(N)!=="svelte-11vag4o"&&(N.textContent=pe),X.forEach(t),R=l(e),w=n(e,"P",{"data-svelte-h":!0}),k(w)!=="svelte-1ywwpi7"&&(w.textContent=ue),W=l(e),u=n(e,"H2",{class:!0});var Y=d(u);T=n(Y,"A",{id:!0,class:!0,href:!0});var we=d(T);V=n(we,"SPAN",{});var xe=d(V);I(x.$$.fragment,xe),xe.forEach(t),we.forEach(t),ne=l(Y),A=n(Y,"SPAN",{"data-svelte-h":!0}),k(A)!=="svelte-7exteb"&&(A.textContent=he),Y.forEach(t),Z=l(e),f=n(e,"DIV",{class:!0});var z=d(f);I(M.$$.fragment,z),ae=l(z),E=n(z,"P",{"data-svelte-h":!0}),k(E)!=="svelte-1ywwpi7"&&(E.textContent=_e),se=l(z),v=n(z,"DIV",{class:!0});var ee=d(v);I(y.$$.fragment,ee),ie=l(ee),L=n(ee,"P",{"data-svelte-h":!0}),k(L)!=="svelte-14zjqkb"&&(L.innerHTML=ge),ee.forEach(t),z.forEach(t),G=l(e),h=n(e,"H2",{class:!0});var te=d(h);b=n(te,"A",{id:!0,class:!0,href:!0});var Me=d(b);B=n(Me,"SPAN",{});var ye=d(B);I(C.$$.fragment,ye),ye.forEach(t),Me.forEach(t),le=l(te),P=n(te,"SPAN",{"data-svelte-h":!0}),k(P)!=="svelte-cb8pjk"&&(P.textContent=Te),te.forEach(t),K=l(e),_=n(e,"DIV",{class:!0});var oe=d(_);I(O.$$.fragment,oe),de=l(oe),D=n(oe,"P",{"data-svelte-h":!0}),k(D)!=="svelte-1wdi1wk"&&(D.innerHTML=ve),oe.forEach(t),this.h()},h(){a(c,"name","hf:doc:metadata"),a(c,"content",JSON.stringify(Pe)),a(g,"id","transformer-temporal"),a(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(g,"href","#transformer-temporal"),a(p,"class","relative group"),a(T,"id","diffusers.models.TransformerTemporalModel"),a(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(T,"href","#diffusers.models.TransformerTemporalModel"),a(u,"class","relative group"),a(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(b,"id","diffusers.models.transformer_temporal.TransformerTemporalModelOutput"),a(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(b,"href","#diffusers.models.transformer_temporal.TransformerTemporalModelOutput"),a(h,"class","relative group"),a(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){o(document.head,c),m(e,J,s),m(e,p,s),o(p,g),o(g,j),H($,j,null),o(p,re),o(p,N),m(e,R,s),m(e,w,s),m(e,W,s),m(e,u,s),o(u,T),o(T,V),H(x,V,null),o(u,ne),o(u,A),m(e,Z,s),m(e,f,s),H(M,f,null),o(f,ae),o(f,E),o(f,se),o(f,v),H(y,v,null),o(v,ie),o(v,L),m(e,G,s),m(e,h,s),o(h,b),o(b,B),H(C,B,null),o(h,le),o(h,P),m(e,K,s),m(e,_,s),H(O,_,null),o(_,de),o(_,D),Q=!0},p:Oe,i(e){Q||(U($.$$.fragment,e),U(x.$$.fragment,e),U(M.$$.fragment,e),U(y.$$.fragment,e),U(C.$$.fragment,e),U(O.$$.fragment,e),Q=!0)},o(e){q($.$$.fragment,e),q(x.$$.fragment,e),q(M.$$.fragment,e),q(y.$$.fragment,e),q(C.$$.fragment,e),q(O.$$.fragment,e),Q=!1},d(e){e&&(t(J),t(p),t(R),t(w),t(W),t(u),t(Z),t(f),t(G),t(h),t(K),t(_)),t(c),F($),F(x),F(M),F(y),F(C),F(O)}}}const Pe={local:"transformer-temporal",sections:[{local:"diffusers.models.TransformerTemporalModel",title:"TransformerTemporalModel"},{local:"diffusers.models.transformer_temporal.TransformerTemporalModelOutput",title:"TransformerTemporalModelOutput"}],title:"Transformer Temporal"};function De(ce){return ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ue extends Ne{constructor(c){super(),Ae(this,c,De,Le,Ce,{})}}export{Ue as component};
