import{s as $e,z as _e,o as ke,n as Te}from"../chunks/scheduler.182ea377.js";import{S as xe,i as Me,g as l,s as a,r as L,A as Pe,h as r,f as n,c as o,j as oe,u as H,x as p,k as c,y as V,a as i,v as D,d as W,t as G,w as J}from"../chunks/index.abf12888.js";import{T as Ce}from"../chunks/Tip.230e2334.js";import{I as Ze}from"../chunks/IconCopyLink.f41320b2.js";import{C as se}from"../chunks/CodeBlock.893b0106.js";import{D as je}from"../chunks/DocNotebookDropdown.b9cef2ac.js";function Ue(E){let s,h='💡 Want to train your own unconditional image generation model? Take a look at the training <a href="training/unconditional_training">guide</a> to learn how to generate your own images.';return{c(){s=l("p"),s.innerHTML=h},l(f){s=r(f,"P",{"data-svelte-h":!0}),p(s)!=="svelte-vx68wx"&&(s.innerHTML=h)},m(f,u){i(f,s,u)},p:Te,d(f){f&&n(s)}}}function Le(E){let s,h,f,u,I,d,le,q,re="Unconditional image generation",S,b,F,y,fe="Unconditional image generation is a relatively straightforward task. The model only generates images - without any additional context like text or an image - resembling the training data it was trained on.",R,w,pe='The <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> is the easiest way to use a pre-trained diffusion system for inference.',z,v,ue=`Start by creating an instance of <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> and specify which pipeline checkpoint you would like to download.
You can use any of the 🧨 Diffusers <a href="https://huggingface.co/models?library=diffusers&amp;sort=downloads" rel="nofollow">checkpoints</a> from the Hub (the checkpoint you’ll use generates images of butterflies).`,B,g,N,$,me='In this guide, you’ll use <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> for unconditional image generation with <a href="https://arxiv.org/abs/2006.11239" rel="nofollow">DDPM</a>:',A,_,K,k,ce=`The <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> downloads and caches all modeling, tokenization, and scheduling components.
Because the model consists of roughly 1.4 billion parameters, we strongly recommend running it on a GPU.
You can move the generator object to a GPU, just like you would in PyTorch:`,Y,T,Q,x,ge="Now you can use the <code>generator</code> to generate an image:",X,M,O,P,he='The output is by default wrapped into a <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow"><code>PIL.Image</code></a> object.',ee,C,de="You can save the image by calling:",te,Z,ne,j,be="Try out the Spaces below, and feel free to play around with the inference steps parameter to see how it affects the image quality!",ie,m,ye,ae;return d=new Ze({}),b=new je({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/unconditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/unconditional_image_generation.ipynb"}]}}),g=new Ce({props:{$$slots:{default:[Ue]},$$scope:{ctx:E}}}),_=new se({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMmFudG9uLWwlMkZkZHBtLWJ1dHRlcmZsaWVzLTEyOCUyMiUyQyUyMHVzZV9zYWZldGVuc29ycyUzRFRydWUp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;anton-l/ddpm-butterflies-128&quot;</span>, use_safetensors=<span class="hljs-literal">True</span>)`}}),T=new se({props:{code:"Z2VuZXJhdG9yLnRvKCUyMmN1ZGElMjIp",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>generator.to(<span class="hljs-string">&quot;cuda&quot;</span>)'}}),M=new se({props:{code:"aW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IoKS5pbWFnZXMlNUIwJTVE",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image = generator().images[<span class="hljs-number">0</span>]'}}),Z=new se({props:{code:"aW1hZ2Uuc2F2ZSglMjJnZW5lcmF0ZWRfaW1hZ2UucG5nJTIyKQ==",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;generated_image.png&quot;</span>)'}}),{c(){s=l("meta"),h=a(),f=l("h1"),u=l("a"),I=l("span"),L(d.$$.fragment),le=a(),q=l("span"),q.textContent=re,S=a(),L(b.$$.fragment),F=a(),y=l("p"),y.textContent=fe,R=a(),w=l("p"),w.innerHTML=pe,z=a(),v=l("p"),v.innerHTML=ue,B=a(),L(g.$$.fragment),N=a(),$=l("p"),$.innerHTML=me,A=a(),L(_.$$.fragment),K=a(),k=l("p"),k.innerHTML=ce,Y=a(),L(T.$$.fragment),Q=a(),x=l("p"),x.innerHTML=ge,X=a(),L(M.$$.fragment),O=a(),P=l("p"),P.innerHTML=he,ee=a(),C=l("p"),C.textContent=de,te=a(),L(Z.$$.fragment),ne=a(),j=l("p"),j.textContent=be,ie=a(),m=l("iframe"),this.h()},l(e){const t=Pe("svelte-1phssyn",document.head);s=r(t,"META",{name:!0,content:!0}),t.forEach(n),h=o(e),f=r(e,"H1",{class:!0});var U=oe(f);u=r(U,"A",{id:!0,class:!0,href:!0});var we=oe(u);I=r(we,"SPAN",{});var ve=oe(I);H(d.$$.fragment,ve),ve.forEach(n),we.forEach(n),le=o(U),q=r(U,"SPAN",{"data-svelte-h":!0}),p(q)!=="svelte-sygj17"&&(q.textContent=re),U.forEach(n),S=o(e),H(b.$$.fragment,e),F=o(e),y=r(e,"P",{"data-svelte-h":!0}),p(y)!=="svelte-1s4jzli"&&(y.textContent=fe),R=o(e),w=r(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-13s4k5x"&&(w.innerHTML=pe),z=o(e),v=r(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-ofq2yy"&&(v.innerHTML=ue),B=o(e),H(g.$$.fragment,e),N=o(e),$=r(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-1q3mqv8"&&($.innerHTML=me),A=o(e),H(_.$$.fragment,e),K=o(e),k=r(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-1y9fnbf"&&(k.innerHTML=ce),Y=o(e),H(T.$$.fragment,e),Q=o(e),x=r(e,"P",{"data-svelte-h":!0}),p(x)!=="svelte-fr79tl"&&(x.innerHTML=ge),X=o(e),H(M.$$.fragment,e),O=o(e),P=r(e,"P",{"data-svelte-h":!0}),p(P)!=="svelte-1n0jmoo"&&(P.innerHTML=he),ee=o(e),C=r(e,"P",{"data-svelte-h":!0}),p(C)!=="svelte-1v6wxor"&&(C.textContent=de),te=o(e),H(Z.$$.fragment,e),ne=o(e),j=r(e,"P",{"data-svelte-h":!0}),p(j)!=="svelte-qb1yds"&&(j.textContent=be),ie=o(e),m=r(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),oe(m).forEach(n),this.h()},h(){c(s,"name","hf:doc:metadata"),c(s,"content",JSON.stringify(He)),c(u,"id","unconditional-image-generation"),c(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(u,"href","#unconditional-image-generation"),c(f,"class","relative group"),_e(m.src,ye="https://stevhliu-ddpm-butterflies-128.hf.space")||c(m,"src",ye),c(m,"frameborder","0"),c(m,"width","850"),c(m,"height","500")},m(e,t){V(document.head,s),i(e,h,t),i(e,f,t),V(f,u),V(u,I),D(d,I,null),V(f,le),V(f,q),i(e,S,t),D(b,e,t),i(e,F,t),i(e,y,t),i(e,R,t),i(e,w,t),i(e,z,t),i(e,v,t),i(e,B,t),D(g,e,t),i(e,N,t),i(e,$,t),i(e,A,t),D(_,e,t),i(e,K,t),i(e,k,t),i(e,Y,t),D(T,e,t),i(e,Q,t),i(e,x,t),i(e,X,t),D(M,e,t),i(e,O,t),i(e,P,t),i(e,ee,t),i(e,C,t),i(e,te,t),D(Z,e,t),i(e,ne,t),i(e,j,t),i(e,ie,t),i(e,m,t),ae=!0},p(e,[t]){const U={};t&2&&(U.$$scope={dirty:t,ctx:e}),g.$set(U)},i(e){ae||(W(d.$$.fragment,e),W(b.$$.fragment,e),W(g.$$.fragment,e),W(_.$$.fragment,e),W(T.$$.fragment,e),W(M.$$.fragment,e),W(Z.$$.fragment,e),ae=!0)},o(e){G(d.$$.fragment,e),G(b.$$.fragment,e),G(g.$$.fragment,e),G(_.$$.fragment,e),G(T.$$.fragment,e),G(M.$$.fragment,e),G(Z.$$.fragment,e),ae=!1},d(e){e&&(n(h),n(f),n(S),n(F),n(y),n(R),n(w),n(z),n(v),n(B),n(N),n($),n(A),n(K),n(k),n(Y),n(Q),n(x),n(X),n(O),n(P),n(ee),n(C),n(te),n(ne),n(j),n(ie),n(m)),n(s),J(d),J(b,e),J(g,e),J(_,e),J(T,e),J(M,e),J(Z,e)}}}const He={local:"unconditional-image-generation",title:"Unconditional image generation"};function De(E){return ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ee extends xe{constructor(s){super(),Me(this,s,De,Le,$e,{})}}export{Ee as component};
