import{s as Ir,n as Pr,o as xr}from"../chunks/scheduler.182ea377.js";import{S as wr,i as Cr,g as r,s,r as g,A as Vr,h as o,f as a,c as n,j as d,u as p,x as l,k as c,y as t,a as $,v as f,d as u,t as h,w as _}from"../chunks/index.abf12888.js";import{D as b}from"../chunks/Docstring.1979e8f9.js";import{I as Bt}from"../chunks/IconCopyLink.f41320b2.js";function Lr(Gt){let P,Se,x,V,Ne,B,dt,fe,Ut="VAE Image Processor",He,G,Jt='The <code>VaeImageProcessor</code> provides a unified API for <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline">StableDiffusionPipeline</a>’s to prepare image inputs for VAE encoding and post-processing outputs once they’re decoded. This includes transformations such as resizing, normalization, and conversion between PIL Image, PyTorch, and NumPy arrays.',Re,U,Yt="All pipelines with <code>VaeImageProcessor</code> accepts PIL Image, PyTorch tensor, or NumPy arrays as image inputs and returns outputs based on the <code>output_type</code> argument by the user. You can pass encoded image latents directly to the pipeline and return latents from the pipeline as a specific output with the <code>output_type</code> argument (for example <code>output_type=&quot;pt&quot;</code>). This allows you to take the generated latents from one pipeline and pass it to another pipeline as input without leaving the latent space. It also makes it much easier to use multiple pipelines together by passing PyTorch tensors directly between different pipelines.",Fe,w,L,ke,J,lt,ue,Kt="VaeImageProcessor",Oe,i,Y,gt,he,Qt="Image processor for VAE.",pt,D,K,ft,_e,Xt="create a mask",ut,z,Q,ht,ve,Zt="Converts a PIL image to grayscale format.",_t,T,X,vt,be,er="Converts a PIL image to RGB format.",bt,E,Z,$t,$e,tr="Denormalize an image array to [0,1].",yt,M,ee,It,ye,rr=`This function return the height and width that are downscaled to the next integer multiple of
<code>vae_scale_factor</code>.`,Pt,N,te,xt,Ie,or="Normalize an image array to [-1,1].",wt,k,re,Ct,Pe,ar="Convert a numpy image or a batch of images to a PIL image.",Vt,A,oe,Lt,xe,sr="Convert a NumPy image to a PyTorch tensor.",Dt,S,ae,zt,we,nr="Convert a PIL image or a list of PIL images to NumPy arrays.",Tt,H,se,Et,Ce,ir="Preprocess the image input. Accepted formats are PIL images, NumPy arrays or PyTorch tensors.",Mt,R,ne,Nt,Ve,cr="Convert a PyTorch tensor to a NumPy image.",kt,F,ie,At,Le,mr="Resize image.",We,C,O,Ae,ce,St,De,dr="VaeImageProcessorLDM3D",je,me,lr="The <code>VaeImageProcessorLDM3D</code> accepts RGB and depth inputs and returns RGB and depth outputs.",qe,y,de,Ht,ze,gr="Image processor for VAE LDM3D.",Rt,W,le,Ft,Te,pr="Convert a NumPy depth image or a batch of images to a PIL image.",Ot,j,ge,Wt,Ee,fr="Convert a NumPy image or a batch of images to a PIL image.",jt,q,pe,qt,Me,ur="Returns: depth map",Be;return B=new Bt({}),J=new Bt({}),Y=new b({props:{name:"class diffusers.image_processor.VaeImageProcessor",anchor:"diffusers.image_processor.VaeImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"},{name:"do_binarize",val:": bool = False"},{name:"do_convert_rgb",val:": bool = False"},{name:"do_convert_grayscale",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>. Can accept
<code>height</code> and <code>width</code> arguments from <a href="/docs/diffusers/main/en/api/image_processor#diffusers.image_processor.VaeImageProcessor.preprocess">image_processor.VaeImageProcessor.preprocess()</a> method.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to RGB format.`,name:"do_convert_rgb"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L37"}}),K=new b({props:{name:"binarize",anchor:"diffusers.image_processor.VaeImageProcessor.binarize",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L228"}}),Q=new b({props:{name:"convert_to_grayscale",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_grayscale",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L151"}}),X=new b({props:{name:"convert_to_rgb",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_rgb",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L142"}}),Z=new b({props:{name:"denormalize",anchor:"diffusers.image_processor.VaeImageProcessor.denormalize",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L135"}}),ee=new b({props:{name:"get_default_height_width",anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width",parameters:[{name:"image",val:": [<class 'PIL.Image.Image'>, <class 'numpy.ndarray'>, <class 'torch.Tensor'>]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.image(PIL.Image.Image,",description:`<strong>image(<code>PIL.Image.Image</code>,</strong> <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor. if it is a numpy array, should have
shape <code>[batch, height, width]</code> or <code>[batch, height, width, channel]</code> if it is a pytorch tensor, should
have shape <code>[batch, channel, height, width]</code>.`,name:"image(PIL.Image.Image,"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the height of <code>image</code> input.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use the width of the </code>image` input.",name:"width"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L160"}}),te=new b({props:{name:"normalize",anchor:"diffusers.image_processor.VaeImageProcessor.normalize",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L128"}}),re=new b({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L81"}}),oe=new b({props:{name:"numpy_to_pt",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pt",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L109"}}),ae=new b({props:{name:"pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pil_to_numpy",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], PIL.Image.Image]"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L97"}}),se=new b({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessor.preprocess",parameters:[{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image, numpy.ndarray]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L236"}}),ne=new b({props:{name:"pt_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pt_to_numpy",parameters:[{name:"images",val:": FloatTensor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L120"}}),ie=new b({props:{name:"resize",anchor:"diffusers.image_processor.VaeImageProcessor.resize",parameters:[{name:"image",val:": [<class 'PIL.Image.Image'>, <class 'numpy.ndarray'>, <class 'torch.Tensor'>]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L203"}}),ce=new Bt({}),de=new b({props:{name:"class diffusers.image_processor.VaeImageProcessorLDM3D",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L365"}}),le=new b({props:{name:"numpy_to_depth",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_depth",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L419"}}),ge=new b({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_pil",parameters:[{name:"images",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L392"}}),pe=new b({props:{name:"rgblike_to_depthmap",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.rgblike_to_depthmap",parameters:[{name:"image",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L408"}}),{c(){P=r("meta"),Se=s(),x=r("h1"),V=r("a"),Ne=r("span"),g(B.$$.fragment),dt=s(),fe=r("span"),fe.textContent=Ut,He=s(),G=r("p"),G.innerHTML=Jt,Re=s(),U=r("p"),U.innerHTML=Yt,Fe=s(),w=r("h2"),L=r("a"),ke=r("span"),g(J.$$.fragment),lt=s(),ue=r("span"),ue.textContent=Kt,Oe=s(),i=r("div"),g(Y.$$.fragment),gt=s(),he=r("p"),he.textContent=Qt,pt=s(),D=r("div"),g(K.$$.fragment),ft=s(),_e=r("p"),_e.textContent=Xt,ut=s(),z=r("div"),g(Q.$$.fragment),ht=s(),ve=r("p"),ve.textContent=Zt,_t=s(),T=r("div"),g(X.$$.fragment),vt=s(),be=r("p"),be.textContent=er,bt=s(),E=r("div"),g(Z.$$.fragment),$t=s(),$e=r("p"),$e.textContent=tr,yt=s(),M=r("div"),g(ee.$$.fragment),It=s(),ye=r("p"),ye.innerHTML=rr,Pt=s(),N=r("div"),g(te.$$.fragment),xt=s(),Ie=r("p"),Ie.textContent=or,wt=s(),k=r("div"),g(re.$$.fragment),Ct=s(),Pe=r("p"),Pe.textContent=ar,Vt=s(),A=r("div"),g(oe.$$.fragment),Lt=s(),xe=r("p"),xe.textContent=sr,Dt=s(),S=r("div"),g(ae.$$.fragment),zt=s(),we=r("p"),we.textContent=nr,Tt=s(),H=r("div"),g(se.$$.fragment),Et=s(),Ce=r("p"),Ce.textContent=ir,Mt=s(),R=r("div"),g(ne.$$.fragment),Nt=s(),Ve=r("p"),Ve.textContent=cr,kt=s(),F=r("div"),g(ie.$$.fragment),At=s(),Le=r("p"),Le.textContent=mr,We=s(),C=r("h2"),O=r("a"),Ae=r("span"),g(ce.$$.fragment),St=s(),De=r("span"),De.textContent=dr,je=s(),me=r("p"),me.innerHTML=lr,qe=s(),y=r("div"),g(de.$$.fragment),Ht=s(),ze=r("p"),ze.textContent=gr,Rt=s(),W=r("div"),g(le.$$.fragment),Ft=s(),Te=r("p"),Te.textContent=pr,Ot=s(),j=r("div"),g(ge.$$.fragment),Wt=s(),Ee=r("p"),Ee.textContent=fr,jt=s(),q=r("div"),g(pe.$$.fragment),qt=s(),Me=r("p"),Me.textContent=ur,this.h()},l(e){const v=Vr("svelte-1phssyn",document.head);P=o(v,"META",{name:!0,content:!0}),v.forEach(a),Se=n(e),x=o(e,"H1",{class:!0});var Ge=d(x);V=o(Ge,"A",{id:!0,class:!0,href:!0});var hr=d(V);Ne=o(hr,"SPAN",{});var _r=d(Ne);p(B.$$.fragment,_r),_r.forEach(a),hr.forEach(a),dt=n(Ge),fe=o(Ge,"SPAN",{"data-svelte-h":!0}),l(fe)!=="svelte-xcphpi"&&(fe.textContent=Ut),Ge.forEach(a),He=n(e),G=o(e,"P",{"data-svelte-h":!0}),l(G)!=="svelte-15h0mrw"&&(G.innerHTML=Jt),Re=n(e),U=o(e,"P",{"data-svelte-h":!0}),l(U)!=="svelte-17lgejf"&&(U.innerHTML=Yt),Fe=n(e),w=o(e,"H2",{class:!0});var Ue=d(w);L=o(Ue,"A",{id:!0,class:!0,href:!0});var vr=d(L);ke=o(vr,"SPAN",{});var br=d(ke);p(J.$$.fragment,br),br.forEach(a),vr.forEach(a),lt=n(Ue),ue=o(Ue,"SPAN",{"data-svelte-h":!0}),l(ue)!=="svelte-1l5sanc"&&(ue.textContent=Kt),Ue.forEach(a),Oe=n(e),i=o(e,"DIV",{class:!0});var m=d(i);p(Y.$$.fragment,m),gt=n(m),he=o(m,"P",{"data-svelte-h":!0}),l(he)!=="svelte-20k7u4"&&(he.textContent=Qt),pt=n(m),D=o(m,"DIV",{class:!0});var Je=d(D);p(K.$$.fragment,Je),ft=n(Je),_e=o(Je,"P",{"data-svelte-h":!0}),l(_e)!=="svelte-1hc71u1"&&(_e.textContent=Xt),Je.forEach(a),ut=n(m),z=o(m,"DIV",{class:!0});var Ye=d(z);p(Q.$$.fragment,Ye),ht=n(Ye),ve=o(Ye,"P",{"data-svelte-h":!0}),l(ve)!=="svelte-vsbjec"&&(ve.textContent=Zt),Ye.forEach(a),_t=n(m),T=o(m,"DIV",{class:!0});var Ke=d(T);p(X.$$.fragment,Ke),vt=n(Ke),be=o(Ke,"P",{"data-svelte-h":!0}),l(be)!=="svelte-ckvlrc"&&(be.textContent=er),Ke.forEach(a),bt=n(m),E=o(m,"DIV",{class:!0});var Qe=d(E);p(Z.$$.fragment,Qe),$t=n(Qe),$e=o(Qe,"P",{"data-svelte-h":!0}),l($e)!=="svelte-ipi2rr"&&($e.textContent=tr),Qe.forEach(a),yt=n(m),M=o(m,"DIV",{class:!0});var Xe=d(M);p(ee.$$.fragment,Xe),It=n(Xe),ye=o(Xe,"P",{"data-svelte-h":!0}),l(ye)!=="svelte-kfv3nk"&&(ye.innerHTML=rr),Xe.forEach(a),Pt=n(m),N=o(m,"DIV",{class:!0});var Ze=d(N);p(te.$$.fragment,Ze),xt=n(Ze),Ie=o(Ze,"P",{"data-svelte-h":!0}),l(Ie)!=="svelte-1l17iqw"&&(Ie.textContent=or),Ze.forEach(a),wt=n(m),k=o(m,"DIV",{class:!0});var et=d(k);p(re.$$.fragment,et),Ct=n(et),Pe=o(et,"P",{"data-svelte-h":!0}),l(Pe)!=="svelte-49eriv"&&(Pe.textContent=ar),et.forEach(a),Vt=n(m),A=o(m,"DIV",{class:!0});var tt=d(A);p(oe.$$.fragment,tt),Lt=n(tt),xe=o(tt,"P",{"data-svelte-h":!0}),l(xe)!=="svelte-uauale"&&(xe.textContent=sr),tt.forEach(a),Dt=n(m),S=o(m,"DIV",{class:!0});var rt=d(S);p(ae.$$.fragment,rt),zt=n(rt),we=o(rt,"P",{"data-svelte-h":!0}),l(we)!=="svelte-x3z8ka"&&(we.textContent=nr),rt.forEach(a),Tt=n(m),H=o(m,"DIV",{class:!0});var ot=d(H);p(se.$$.fragment,ot),Et=n(ot),Ce=o(ot,"P",{"data-svelte-h":!0}),l(Ce)!=="svelte-10dsfen"&&(Ce.textContent=ir),ot.forEach(a),Mt=n(m),R=o(m,"DIV",{class:!0});var at=d(R);p(ne.$$.fragment,at),Nt=n(at),Ve=o(at,"P",{"data-svelte-h":!0}),l(Ve)!=="svelte-1acncdu"&&(Ve.textContent=cr),at.forEach(a),kt=n(m),F=o(m,"DIV",{class:!0});var st=d(F);p(ie.$$.fragment,st),At=n(st),Le=o(st,"P",{"data-svelte-h":!0}),l(Le)!=="svelte-si84j5"&&(Le.textContent=mr),st.forEach(a),m.forEach(a),We=n(e),C=o(e,"H2",{class:!0});var nt=d(C);O=o(nt,"A",{id:!0,class:!0,href:!0});var $r=d(O);Ae=o($r,"SPAN",{});var yr=d(Ae);p(ce.$$.fragment,yr),yr.forEach(a),$r.forEach(a),St=n(nt),De=o(nt,"SPAN",{"data-svelte-h":!0}),l(De)!=="svelte-jmziia"&&(De.textContent=dr),nt.forEach(a),je=n(e),me=o(e,"P",{"data-svelte-h":!0}),l(me)!=="svelte-12yfhhz"&&(me.innerHTML=lr),qe=n(e),y=o(e,"DIV",{class:!0});var I=d(y);p(de.$$.fragment,I),Ht=n(I),ze=o(I,"P",{"data-svelte-h":!0}),l(ze)!=="svelte-bz065s"&&(ze.textContent=gr),Rt=n(I),W=o(I,"DIV",{class:!0});var it=d(W);p(le.$$.fragment,it),Ft=n(it),Te=o(it,"P",{"data-svelte-h":!0}),l(Te)!=="svelte-1k4lt1u"&&(Te.textContent=pr),it.forEach(a),Ot=n(I),j=o(I,"DIV",{class:!0});var ct=d(j);p(ge.$$.fragment,ct),Wt=n(ct),Ee=o(ct,"P",{"data-svelte-h":!0}),l(Ee)!=="svelte-1gut907"&&(Ee.textContent=fr),ct.forEach(a),jt=n(I),q=o(I,"DIV",{class:!0});var mt=d(q);p(pe.$$.fragment,mt),qt=n(mt),Me=o(mt,"P",{"data-svelte-h":!0}),l(Me)!=="svelte-ectrn8"&&(Me.textContent=ur),mt.forEach(a),I.forEach(a),this.h()},h(){c(P,"name","hf:doc:metadata"),c(P,"content",JSON.stringify(Dr)),c(V,"id","vae-image-processor"),c(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(V,"href","#vae-image-processor"),c(x,"class","relative group"),c(L,"id","diffusers.image_processor.VaeImageProcessor"),c(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(L,"href","#diffusers.image_processor.VaeImageProcessor"),c(w,"class","relative group"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(O,"id","diffusers.image_processor.VaeImageProcessorLDM3D"),c(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(O,"href","#diffusers.image_processor.VaeImageProcessorLDM3D"),c(C,"class","relative group"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,v){t(document.head,P),$(e,Se,v),$(e,x,v),t(x,V),t(V,Ne),f(B,Ne,null),t(x,dt),t(x,fe),$(e,He,v),$(e,G,v),$(e,Re,v),$(e,U,v),$(e,Fe,v),$(e,w,v),t(w,L),t(L,ke),f(J,ke,null),t(w,lt),t(w,ue),$(e,Oe,v),$(e,i,v),f(Y,i,null),t(i,gt),t(i,he),t(i,pt),t(i,D),f(K,D,null),t(D,ft),t(D,_e),t(i,ut),t(i,z),f(Q,z,null),t(z,ht),t(z,ve),t(i,_t),t(i,T),f(X,T,null),t(T,vt),t(T,be),t(i,bt),t(i,E),f(Z,E,null),t(E,$t),t(E,$e),t(i,yt),t(i,M),f(ee,M,null),t(M,It),t(M,ye),t(i,Pt),t(i,N),f(te,N,null),t(N,xt),t(N,Ie),t(i,wt),t(i,k),f(re,k,null),t(k,Ct),t(k,Pe),t(i,Vt),t(i,A),f(oe,A,null),t(A,Lt),t(A,xe),t(i,Dt),t(i,S),f(ae,S,null),t(S,zt),t(S,we),t(i,Tt),t(i,H),f(se,H,null),t(H,Et),t(H,Ce),t(i,Mt),t(i,R),f(ne,R,null),t(R,Nt),t(R,Ve),t(i,kt),t(i,F),f(ie,F,null),t(F,At),t(F,Le),$(e,We,v),$(e,C,v),t(C,O),t(O,Ae),f(ce,Ae,null),t(C,St),t(C,De),$(e,je,v),$(e,me,v),$(e,qe,v),$(e,y,v),f(de,y,null),t(y,Ht),t(y,ze),t(y,Rt),t(y,W),f(le,W,null),t(W,Ft),t(W,Te),t(y,Ot),t(y,j),f(ge,j,null),t(j,Wt),t(j,Ee),t(y,jt),t(y,q),f(pe,q,null),t(q,qt),t(q,Me),Be=!0},p:Pr,i(e){Be||(u(B.$$.fragment,e),u(J.$$.fragment,e),u(Y.$$.fragment,e),u(K.$$.fragment,e),u(Q.$$.fragment,e),u(X.$$.fragment,e),u(Z.$$.fragment,e),u(ee.$$.fragment,e),u(te.$$.fragment,e),u(re.$$.fragment,e),u(oe.$$.fragment,e),u(ae.$$.fragment,e),u(se.$$.fragment,e),u(ne.$$.fragment,e),u(ie.$$.fragment,e),u(ce.$$.fragment,e),u(de.$$.fragment,e),u(le.$$.fragment,e),u(ge.$$.fragment,e),u(pe.$$.fragment,e),Be=!0)},o(e){h(B.$$.fragment,e),h(J.$$.fragment,e),h(Y.$$.fragment,e),h(K.$$.fragment,e),h(Q.$$.fragment,e),h(X.$$.fragment,e),h(Z.$$.fragment,e),h(ee.$$.fragment,e),h(te.$$.fragment,e),h(re.$$.fragment,e),h(oe.$$.fragment,e),h(ae.$$.fragment,e),h(se.$$.fragment,e),h(ne.$$.fragment,e),h(ie.$$.fragment,e),h(ce.$$.fragment,e),h(de.$$.fragment,e),h(le.$$.fragment,e),h(ge.$$.fragment,e),h(pe.$$.fragment,e),Be=!1},d(e){e&&(a(Se),a(x),a(He),a(G),a(Re),a(U),a(Fe),a(w),a(Oe),a(i),a(We),a(C),a(je),a(me),a(qe),a(y)),a(P),_(B),_(J),_(Y),_(K),_(Q),_(X),_(Z),_(ee),_(te),_(re),_(oe),_(ae),_(se),_(ne),_(ie),_(ce),_(de),_(le),_(ge),_(pe)}}}const Dr={local:"vae-image-processor",sections:[{local:"diffusers.image_processor.VaeImageProcessor",title:"VaeImageProcessor"},{local:"diffusers.image_processor.VaeImageProcessorLDM3D",title:"VaeImageProcessorLDM3D"}],title:"VAE Image Processor"};function zr(Gt){return xr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kr extends wr{constructor(P){super(),Cr(this,P,zr,Lr,Ir,{})}}export{kr as component};
