import{s as Me,o as Ne,n as qe}from"../chunks/scheduler.182ea377.js";import{S as He,i as Ue,g as a,s as l,r as A,A as ze,h as r,f as t,c as p,j as u,u as O,x as h,k as c,y as s,a as i,v as D,d as M,t as N,w as q}from"../chunks/index.abf12888.js";import{T as Ge}from"../chunks/Tip.230e2334.js";import{D as $e}from"../chunks/Docstring.1979e8f9.js";import{I as ye}from"../chunks/IconCopyLink.f41320b2.js";function je(Y){let o,w='Make sure to check out the Schedulers <a href="/using-diffusers/schedulers">guide</a> to learn how to explore the tradeoff between scheduler speed and quality, and see the <a href="/using-diffusers/loading#reuse-components-across-pipelines">reuse components across pipelines</a> section to learn how to efficiently load the same components into multiple pipelines.';return{c(){o=a("p"),o.innerHTML=w},l(d){o=r(d,"P",{"data-svelte-h":!0}),h(o)!=="svelte-5fcsv6"&&(o.innerHTML=w)},m(d,m){i(d,o,m)},p:qe,d(d){d&&t(o)}}}function Fe(Y){let o,w,d,m,J,x,de,H,be="Stochastic Karras VE",Z,C,Pe='<a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> is by Tero Karras, Miika Aittala, Timo Aila and Samuli Laine. This pipeline implements the stochastic sampling tailored to variance expanding (VE) models.',ee,I,we="The abstract from the paper:",te,k,xe="<em>We argue that the theory and practice of diffusion-based generative models are currently unnecessarily convoluted and seek to remedy the situation by presenting a design space that clearly separates the concrete design choices. This lets us identify several changes to both the sampling and training processes, as well as preconditioning of the score networks. Together, our improvements yield new state-of-the-art FID of 1.79 for CIFAR-10 in a class-conditional setting and 1.97 in an unconditional setting, with much faster sampling (35 network evaluations per image) than prior designs. To further demonstrate their modular nature, we show that our design changes dramatically improve both the efficiency and quality obtainable with pre-trained score networks from previous work, including improving the FID of an existing ImageNet-64 model from 2.07 to near-SOTA 1.55.</em>",ne,y,ae,_,b,Q,T,ue,U,Ce="KarrasVePipeline",re,f,V,fe,z,Ie="Pipeline for unconditional image generation.",he,g,K,me,G,ke="The call function to the pipeline for generation.",ge,j,Te="Example:",se,v,P,X,L,_e,F,Ve="ImagePipelineOutput",ie,$,E,ve,R,Ke="Output class for image pipelines.",oe;return x=new ye({}),y=new Ge({props:{$$slots:{default:[je]},$$scope:{ctx:Y}}}),T=new ye({}),V=new $e({props:{name:"class diffusers.KarrasVePipeline",anchor:"diffusers.KarrasVePipeline",parameters:[{name:"unet",val:": UNet2DModel"},{name:"scheduler",val:": KarrasVeScheduler"}],parametersDescription:[{anchor:"diffusers.KarrasVePipeline.unet",description:`<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models/unet2d#diffusers.UNet2DModel">UNet2DModel</a>) &#x2014;
A <code>UNet2DModel</code> to denoise the encoded image.`,name:"unet"},{anchor:"diffusers.KarrasVePipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/stochastic_karras_ve#diffusers.KarrasVeScheduler">KarrasVeScheduler</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image.`,name:"scheduler"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/stochastic_karras_ve/pipeline_stochastic_karras_ve.py#L25"}}),K=new $e({props:{name:"__call__",anchor:"diffusers.KarrasVePipeline.__call__",parameters:[{name:"batch_size",val:": int = 1"},{name:"num_inference_steps",val:": int = 50"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.KarrasVePipeline.__call__.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate.`,name:"batch_size"},{anchor:"diffusers.KarrasVePipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow"><code>torch.Generator</code></a> to make
generation deterministic.`,name:"generator"},{anchor:"diffusers.KarrasVePipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.KarrasVePipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generated image. Choose between <code>PIL.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.KarrasVePipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/vq_diffusion#diffusers.ImagePipelineOutput">ImagePipelineOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/stochastic_karras_ve/pipeline_stochastic_karras_ve.py#L44",returnDescription:`
<p>If <code>return_dict</code> is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/pipelines/vq_diffusion#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> is returned, otherwise a <code>tuple</code> is
returned where the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/vq_diffusion#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),L=new ye({}),E=new $e({props:{name:"class diffusers.ImagePipelineOutput",anchor:"diffusers.ImagePipelineOutput",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], numpy.ndarray]"}],parametersDescription:[{anchor:"diffusers.ImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L112"}}),{c(){o=a("meta"),w=l(),d=a("h1"),m=a("a"),J=a("span"),A(x.$$.fragment),de=l(),H=a("span"),H.textContent=be,Z=l(),C=a("p"),C.innerHTML=Pe,ee=l(),I=a("p"),I.textContent=we,te=l(),k=a("p"),k.innerHTML=xe,ne=l(),A(y.$$.fragment),ae=l(),_=a("h2"),b=a("a"),Q=a("span"),A(T.$$.fragment),ue=l(),U=a("span"),U.textContent=Ce,re=l(),f=a("div"),A(V.$$.fragment),fe=l(),z=a("p"),z.textContent=Ie,he=l(),g=a("div"),A(K.$$.fragment),me=l(),G=a("p"),G.textContent=ke,ge=l(),j=a("p"),j.textContent=Te,se=l(),v=a("h2"),P=a("a"),X=a("span"),A(L.$$.fragment),_e=l(),F=a("span"),F.textContent=Ve,ie=l(),$=a("div"),A(E.$$.fragment),ve=l(),R=a("p"),R.textContent=Ke,this.h()},l(e){const n=ze("svelte-1phssyn",document.head);o=r(n,"META",{name:!0,content:!0}),n.forEach(t),w=p(e),d=r(e,"H1",{class:!0});var S=u(d);m=r(S,"A",{id:!0,class:!0,href:!0});var Le=u(m);J=r(Le,"SPAN",{});var Ee=u(J);O(x.$$.fragment,Ee),Ee.forEach(t),Le.forEach(t),de=p(S),H=r(S,"SPAN",{"data-svelte-h":!0}),h(H)!=="svelte-1ac9cbh"&&(H.textContent=be),S.forEach(t),Z=p(e),C=r(e,"P",{"data-svelte-h":!0}),h(C)!=="svelte-1a5vxii"&&(C.innerHTML=Pe),ee=p(e),I=r(e,"P",{"data-svelte-h":!0}),h(I)!=="svelte-jqf0eu"&&(I.textContent=we),te=p(e),k=r(e,"P",{"data-svelte-h":!0}),h(k)!=="svelte-1f7fbd0"&&(k.innerHTML=xe),ne=p(e),O(y.$$.fragment,e),ae=p(e),_=r(e,"H2",{class:!0});var le=u(_);b=r(le,"A",{id:!0,class:!0,href:!0});var Se=u(b);Q=r(Se,"SPAN",{});var Ae=u(Q);O(T.$$.fragment,Ae),Ae.forEach(t),Se.forEach(t),ue=p(le),U=r(le,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-1utvl0o"&&(U.textContent=Ce),le.forEach(t),re=p(e),f=r(e,"DIV",{class:!0});var W=u(f);O(V.$$.fragment,W),fe=p(W),z=r(W,"P",{"data-svelte-h":!0}),h(z)!=="svelte-1byevm7"&&(z.textContent=Ie),he=p(W),g=r(W,"DIV",{class:!0});var B=u(g);O(K.$$.fragment,B),me=p(B),G=r(B,"P",{"data-svelte-h":!0}),h(G)!=="svelte-50j04k"&&(G.textContent=ke),ge=p(B),j=r(B,"P",{"data-svelte-h":!0}),h(j)!=="svelte-11lpom8"&&(j.textContent=Te),B.forEach(t),W.forEach(t),se=p(e),v=r(e,"H2",{class:!0});var pe=u(v);P=r(pe,"A",{id:!0,class:!0,href:!0});var Oe=u(P);X=r(Oe,"SPAN",{});var De=u(X);O(L.$$.fragment,De),De.forEach(t),Oe.forEach(t),_e=p(pe),F=r(pe,"SPAN",{"data-svelte-h":!0}),h(F)!=="svelte-1ula3t"&&(F.textContent=Ve),pe.forEach(t),ie=p(e),$=r(e,"DIV",{class:!0});var ce=u($);O(E.$$.fragment,ce),ve=p(ce),R=r(ce,"P",{"data-svelte-h":!0}),h(R)!=="svelte-19wetgi"&&(R.textContent=Ke),ce.forEach(t),this.h()},h(){c(o,"name","hf:doc:metadata"),c(o,"content",JSON.stringify(Re)),c(m,"id","stochastic-karras-ve"),c(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(m,"href","#stochastic-karras-ve"),c(d,"class","relative group"),c(b,"id","diffusers.KarrasVePipeline"),c(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(b,"href","#diffusers.KarrasVePipeline"),c(_,"class","relative group"),c(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(P,"id","diffusers.ImagePipelineOutput"),c(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(P,"href","#diffusers.ImagePipelineOutput"),c(v,"class","relative group"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){s(document.head,o),i(e,w,n),i(e,d,n),s(d,m),s(m,J),D(x,J,null),s(d,de),s(d,H),i(e,Z,n),i(e,C,n),i(e,ee,n),i(e,I,n),i(e,te,n),i(e,k,n),i(e,ne,n),D(y,e,n),i(e,ae,n),i(e,_,n),s(_,b),s(b,Q),D(T,Q,null),s(_,ue),s(_,U),i(e,re,n),i(e,f,n),D(V,f,null),s(f,fe),s(f,z),s(f,he),s(f,g),D(K,g,null),s(g,me),s(g,G),s(g,ge),s(g,j),i(e,se,n),i(e,v,n),s(v,P),s(P,X),D(L,X,null),s(v,_e),s(v,F),i(e,ie,n),i(e,$,n),D(E,$,null),s($,ve),s($,R),oe=!0},p(e,[n]){const S={};n&2&&(S.$$scope={dirty:n,ctx:e}),y.$set(S)},i(e){oe||(M(x.$$.fragment,e),M(y.$$.fragment,e),M(T.$$.fragment,e),M(V.$$.fragment,e),M(K.$$.fragment,e),M(L.$$.fragment,e),M(E.$$.fragment,e),oe=!0)},o(e){N(x.$$.fragment,e),N(y.$$.fragment,e),N(T.$$.fragment,e),N(V.$$.fragment,e),N(K.$$.fragment,e),N(L.$$.fragment,e),N(E.$$.fragment,e),oe=!1},d(e){e&&(t(w),t(d),t(Z),t(C),t(ee),t(I),t(te),t(k),t(ne),t(ae),t(_),t(re),t(f),t(se),t(v),t(ie),t($)),t(o),q(x),q(y,e),q(T),q(V),q(K),q(L),q(E)}}}const Re={local:"stochastic-karras-ve",sections:[{local:"diffusers.KarrasVePipeline",title:"KarrasVePipeline"},{local:"diffusers.ImagePipelineOutput",title:"ImagePipelineOutput"}],title:"Stochastic Karras VE"};function We(Y){return Ne(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ze extends He{constructor(o){super(),Ue(this,o,We,Fe,Me,{})}}export{Ze as component};
