import{s as mt,o as ft,n as gt}from"../chunks/scheduler.182ea377.js";import{S as vt,i as _t,g as n,s as o,r as g,A as St,h as r,f as s,c as i,j as p,u as v,x as m,k as d,y as t,a as l,v as _,d as S,t as y,w as b}from"../chunks/index.abf12888.js";import{T as yt}from"../chunks/Tip.230e2334.js";import{D as B}from"../chunks/Docstring.1979e8f9.js";import{I as Re}from"../chunks/IconCopyLink.f41320b2.js";function bt(ue){let h,E="<code>epsilon</code> in the equations for <code>c_skip</code> and <code>c_out</code> is set to <code>sigma_min</code>.";return{c(){h=n("p"),h.innerHTML=E},l(f){h=r(f,"P",{"data-svelte-h":!0}),m(h)!=="svelte-a3ozzd"&&(h.innerHTML=E)},m(f,$){l(f,h,$)},p:gt,d(f){f&&s(h)}}}function $t(ue){let h,E,f,$,de,H,De,Q,We="CMStochasticIterativeScheduler",pe,O,Je='<a href="https://huggingface.co/papers/2303.01469" rel="nofollow">Consistency Models</a> by Yang Song, Prafulla Dhariwal, Mark Chen, and Ilya Sutskever introduced a multistep and onestep scheduler (Algorithm 1) that is capable of generating good samples in one or a small number of steps.',me,F,Ye="The abstract from the paper is:",fe,N,Be="<em>Diffusion models have made significant breakthroughs in image, audio, and video generation, but they depend on an iterative generation process that causes slow sampling speed and caps their potential for real-time applications. To overcome this limitation, we propose consistency models, a new family of generative models that achieve high sample quality without adversarial training. They support fast one-step generation by design, while still allowing for few-step sampling to trade compute for sample quality. They also support zero-shot data editing, like image inpainting, colorization, and super-resolution, without requiring explicit training on these tasks. Consistency models can be trained either as a way to distill pre-trained diffusion models, or as standalone generative models. Through extensive experiments, we demonstrate that they outperform existing distillation techniques for diffusion models in one- and few-step generation. For example, we achieve the new state-of-the-art FID of 3.55 on CIFAR-10 and 6.20 on ImageNet 64x64 for one-step generation. When trained as standalone generative models, consistency models also outperform single-step, non-adversarial generative models on standard benchmarks like CIFAR-10, ImageNet 64x64 and LSUN 256x256.</em>",ge,q,Qe='The original codebase can be found at <a href="https://github.com/openai/consistency_models" rel="nofollow">openai/consistency_models</a>.',ve,x,I,le,z,Le,X,Xe="CMStochasticIterativeScheduler",_e,c,V,Pe,Z,Ze="Multistep and onestep sampling for consistency models.",Ae,ee,et=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,ke,C,U,Ee,te,tt=`Gets the scalings used in the consistency model parameterization (from Appendix C of the
<a href="https://huggingface.co/papers/2303.01469" rel="nofollow">paper</a>) to enforce boundary condition.`,He,T,Oe,D,j,Fe,se,st="Scales the consistency model input by <code>(sigma**2 + sigma_data**2) ** 0.5</code>.",Ne,L,K,qe,ne,nt="Sets the timesteps used for the diffusion chain (to be run before inference).",ze,P,G,Ve,re,rt="Gets scaled timesteps from the Karras sigmas for input to the consistency model.",Ue,A,R,je,oe,ot=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,Se,M,k,he,W,Ke,ie,it="CMStochasticIterativeSchedulerOutput",ye,w,J,Ge,ae,at="Output class for the scheduler’s <code>step</code> function.",be;return H=new Re({}),z=new Re({}),V=new B({props:{name:"class diffusers.CMStochasticIterativeScheduler",anchor:"diffusers.CMStochasticIterativeScheduler",parameters:[{name:"num_train_timesteps",val:": int = 40"},{name:"sigma_min",val:": float = 0.002"},{name:"sigma_max",val:": float = 80.0"},{name:"sigma_data",val:": float = 0.5"},{name:"s_noise",val:": float = 1.0"},{name:"rho",val:": float = 7.0"},{name:"clip_denoised",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 40) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_min",description:`<strong>sigma_min</strong> (<code>float</code>, defaults to 0.002) &#x2014;
Minimum noise magnitude in the sigma schedule. Defaults to 0.002 from the original implementation.`,name:"sigma_min"},{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_max",description:`<strong>sigma_max</strong> (<code>float</code>, defaults to 80.0) &#x2014;
Maximum noise magnitude in the sigma schedule. Defaults to 80.0 from the original implementation.`,name:"sigma_max"},{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_data",description:`<strong>sigma_data</strong> (<code>float</code>, defaults to 0.5) &#x2014;
The standard deviation of the data distribution from the EDM
<a href="https://huggingface.co/papers/2206.00364" rel="nofollow">paper</a>. Defaults to 0.5 from the original implementation.`,name:"sigma_data"},{anchor:"diffusers.CMStochasticIterativeScheduler.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The amount of additional noise to counteract loss of detail during sampling. A reasonable range is [1.000,
1.011]. Defaults to 1.0 from the original implementation.`,name:"s_noise"},{anchor:"diffusers.CMStochasticIterativeScheduler.rho",description:`<strong>rho</strong> (<code>float</code>, defaults to 7.0) &#x2014;
The parameter for calculating the Karras sigma schedule from the EDM
<a href="https://huggingface.co/papers/2206.00364" rel="nofollow">paper</a>. Defaults to 7.0 from the original implementation.`,name:"rho"},{anchor:"diffusers.CMStochasticIterativeScheduler.clip_denoised",description:`<strong>clip_denoised</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to clip the denoised outputs to <code>(-1, 1)</code>.`,name:"clip_denoised"},{anchor:"diffusers.CMStochasticIterativeScheduler.timesteps",description:`<strong>timesteps</strong> (<code>List</code> or <code>np.ndarray</code> or <code>torch.Tensor</code>, <em>optional</em>) &#x2014;
An explicit timestep schedule that can be optionally specified. The timesteps are expected to be in
increasing order.`,name:"timesteps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L44"}}),U=new B({props:{name:"get_scalings_for_boundary_condition",anchor:"diffusers.CMStochasticIterativeScheduler.get_scalings_for_boundary_condition",parameters:[{name:"sigma",val:""}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.get_scalings_for_boundary_condition.sigma",description:`<strong>sigma</strong> (<code>torch.FloatTensor</code>) &#x2014;
The current sigma in the Karras sigma schedule.`,name:"sigma"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L254",returnDescription:`
<p>A two-element tuple where <code>c_skip</code> (which weights the current sample) is the first element and <code>c_out</code>
(which weights the consistency model output) is the second element.</p>
`,returnType:`
<p><code>tuple</code></p>
`}}),T=new yt({props:{$$slots:{default:[bt]},$$scope:{ctx:ue}}}),j=new B({props:{name:"scale_model_input",anchor:"diffusers.CMStochasticIterativeScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.CMStochasticIterativeScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>float</code> or <code>torch.FloatTensor</code>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L116",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),K=new B({props:{name:"set_timesteps",anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": typing.Optional[int] = None"},{name:"device",val:": typing.Union[str, torch.device] = None"},{name:"timesteps",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"},{anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps.timesteps",description:`<strong>timesteps</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Custom timesteps used to support arbitrary spacing between timesteps. If <code>None</code>, then the default
timestep spacing strategy of equal spacing between timesteps is used. If <code>timesteps</code> is passed,
<code>num_inference_steps</code> must be <code>None</code>.`,name:"timesteps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L162"}}),G=new B({props:{name:"sigma_to_t",anchor:"diffusers.CMStochasticIterativeScheduler.sigma_to_t",parameters:[{name:"sigmas",val:": typing.Union[float, numpy.ndarray]"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_to_t.sigmas",description:`<strong>sigmas</strong> (<code>float</code> or <code>np.ndarray</code>) &#x2014;
A single Karras sigma or an array of Karras sigmas.`,name:"sigmas"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L143",returnDescription:`
<p>A scaled input timestep or scaled input timestep array.</p>
`,returnType:`
<p><code>float</code> or <code>np.ndarray</code></p>
`}}),R=new B({props:{name:"step",anchor:"diffusers.CMStochasticIterativeScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"},{name:"sample",val:": FloatTensor"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a
<a href="/docs/diffusers/main/en/api/schedulers/cm_stochastic_iterative#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput">CMStochasticIterativeSchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L299",returnDescription:`
<p>If return_dict is <code>True</code>,
<a
  href="/docs/diffusers/main/en/api/schedulers/cm_stochastic_iterative#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput"
>CMStochasticIterativeSchedulerOutput</a> is returned,
otherwise a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/cm_stochastic_iterative#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput"
>CMStochasticIterativeSchedulerOutput</a> or <code>tuple</code></p>
`}}),W=new Re({}),J=new B({props:{name:"class diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput",anchor:"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L31"}}),{c(){h=n("meta"),E=o(),f=n("h1"),$=n("a"),de=n("span"),g(H.$$.fragment),De=o(),Q=n("span"),Q.textContent=We,pe=o(),O=n("p"),O.innerHTML=Je,me=o(),F=n("p"),F.textContent=Ye,fe=o(),N=n("p"),N.innerHTML=Be,ge=o(),q=n("p"),q.innerHTML=Qe,ve=o(),x=n("h2"),I=n("a"),le=n("span"),g(z.$$.fragment),Le=o(),X=n("span"),X.textContent=Xe,_e=o(),c=n("div"),g(V.$$.fragment),Pe=o(),Z=n("p"),Z.textContent=Ze,Ae=o(),ee=n("p"),ee.innerHTML=et,ke=o(),C=n("div"),g(U.$$.fragment),Ee=o(),te=n("p"),te.innerHTML=tt,He=o(),g(T.$$.fragment),Oe=o(),D=n("div"),g(j.$$.fragment),Fe=o(),se=n("p"),se.innerHTML=st,Ne=o(),L=n("div"),g(K.$$.fragment),qe=o(),ne=n("p"),ne.textContent=nt,ze=o(),P=n("div"),g(G.$$.fragment),Ve=o(),re=n("p"),re.textContent=rt,Ue=o(),A=n("div"),g(R.$$.fragment),je=o(),oe=n("p"),oe.textContent=ot,Se=o(),M=n("h2"),k=n("a"),he=n("span"),g(W.$$.fragment),Ke=o(),ie=n("span"),ie.textContent=it,ye=o(),w=n("div"),g(J.$$.fragment),Ge=o(),ae=n("p"),ae.innerHTML=at,this.h()},l(e){const a=St("svelte-1phssyn",document.head);h=r(a,"META",{name:!0,content:!0}),a.forEach(s),E=i(e),f=r(e,"H1",{class:!0});var Y=p(f);$=r(Y,"A",{id:!0,class:!0,href:!0});var ct=p($);de=r(ct,"SPAN",{});var dt=p(de);v(H.$$.fragment,dt),dt.forEach(s),ct.forEach(s),De=i(Y),Q=r(Y,"SPAN",{"data-svelte-h":!0}),m(Q)!=="svelte-1rm6yx2"&&(Q.textContent=We),Y.forEach(s),pe=i(e),O=r(e,"P",{"data-svelte-h":!0}),m(O)!=="svelte-je4cvt"&&(O.innerHTML=Je),me=i(e),F=r(e,"P",{"data-svelte-h":!0}),m(F)!=="svelte-1cwsb16"&&(F.textContent=Ye),fe=i(e),N=r(e,"P",{"data-svelte-h":!0}),m(N)!=="svelte-ymygwa"&&(N.innerHTML=Be),ge=i(e),q=r(e,"P",{"data-svelte-h":!0}),m(q)!=="svelte-1ci2nab"&&(q.innerHTML=Qe),ve=i(e),x=r(e,"H2",{class:!0});var $e=p(x);I=r($e,"A",{id:!0,class:!0,href:!0});var lt=p(I);le=r(lt,"SPAN",{});var ht=p(le);v(z.$$.fragment,ht),ht.forEach(s),lt.forEach(s),Le=i($e),X=r($e,"SPAN",{"data-svelte-h":!0}),m(X)!=="svelte-1rm6yx2"&&(X.textContent=Xe),$e.forEach(s),_e=i(e),c=r(e,"DIV",{class:!0});var u=p(c);v(V.$$.fragment,u),Pe=i(u),Z=r(u,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-252n82"&&(Z.textContent=Ze),Ae=i(u),ee=r(u,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-linuuh"&&(ee.innerHTML=et),ke=i(u),C=r(u,"DIV",{class:!0});var ce=p(C);v(U.$$.fragment,ce),Ee=i(ce),te=r(ce,"P",{"data-svelte-h":!0}),m(te)!=="svelte-1t9pjgt"&&(te.innerHTML=tt),He=i(ce),v(T.$$.fragment,ce),ce.forEach(s),Oe=i(u),D=r(u,"DIV",{class:!0});var Ce=p(D);v(j.$$.fragment,Ce),Fe=i(Ce),se=r(Ce,"P",{"data-svelte-h":!0}),m(se)!=="svelte-hzru6p"&&(se.innerHTML=st),Ce.forEach(s),Ne=i(u),L=r(u,"DIV",{class:!0});var xe=p(L);v(K.$$.fragment,xe),qe=i(xe),ne=r(xe,"P",{"data-svelte-h":!0}),m(ne)!=="svelte-qri72b"&&(ne.textContent=nt),xe.forEach(s),ze=i(u),P=r(u,"DIV",{class:!0});var Me=p(P);v(G.$$.fragment,Me),Ve=i(Me),re=r(Me,"P",{"data-svelte-h":!0}),m(re)!=="svelte-1yxdts4"&&(re.textContent=rt),Me.forEach(s),Ue=i(u),A=r(u,"DIV",{class:!0});var we=p(A);v(R.$$.fragment,we),je=i(we),oe=r(we,"P",{"data-svelte-h":!0}),m(oe)!=="svelte-hi84tp"&&(oe.textContent=ot),we.forEach(s),u.forEach(s),Se=i(e),M=r(e,"H2",{class:!0});var Ie=p(M);k=r(Ie,"A",{id:!0,class:!0,href:!0});var ut=p(k);he=r(ut,"SPAN",{});var pt=p(he);v(W.$$.fragment,pt),pt.forEach(s),ut.forEach(s),Ke=i(Ie),ie=r(Ie,"SPAN",{"data-svelte-h":!0}),m(ie)!=="svelte-yfbfud"&&(ie.textContent=it),Ie.forEach(s),ye=i(e),w=r(e,"DIV",{class:!0});var Te=p(w);v(J.$$.fragment,Te),Ge=i(Te),ae=r(Te,"P",{"data-svelte-h":!0}),m(ae)!=="svelte-xucjnj"&&(ae.innerHTML=at),Te.forEach(s),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",JSON.stringify(Ct)),d($,"id","cmstochasticiterativescheduler"),d($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($,"href","#cmstochasticiterativescheduler"),d(f,"class","relative group"),d(I,"id","diffusers.CMStochasticIterativeScheduler"),d(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(I,"href","#diffusers.CMStochasticIterativeScheduler"),d(x,"class","relative group"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"id","diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput"),d(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(k,"href","#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput"),d(M,"class","relative group"),d(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,h),l(e,E,a),l(e,f,a),t(f,$),t($,de),_(H,de,null),t(f,De),t(f,Q),l(e,pe,a),l(e,O,a),l(e,me,a),l(e,F,a),l(e,fe,a),l(e,N,a),l(e,ge,a),l(e,q,a),l(e,ve,a),l(e,x,a),t(x,I),t(I,le),_(z,le,null),t(x,Le),t(x,X),l(e,_e,a),l(e,c,a),_(V,c,null),t(c,Pe),t(c,Z),t(c,Ae),t(c,ee),t(c,ke),t(c,C),_(U,C,null),t(C,Ee),t(C,te),t(C,He),_(T,C,null),t(c,Oe),t(c,D),_(j,D,null),t(D,Fe),t(D,se),t(c,Ne),t(c,L),_(K,L,null),t(L,qe),t(L,ne),t(c,ze),t(c,P),_(G,P,null),t(P,Ve),t(P,re),t(c,Ue),t(c,A),_(R,A,null),t(A,je),t(A,oe),l(e,Se,a),l(e,M,a),t(M,k),t(k,he),_(W,he,null),t(M,Ke),t(M,ie),l(e,ye,a),l(e,w,a),_(J,w,null),t(w,Ge),t(w,ae),be=!0},p(e,[a]){const Y={};a&2&&(Y.$$scope={dirty:a,ctx:e}),T.$set(Y)},i(e){be||(S(H.$$.fragment,e),S(z.$$.fragment,e),S(V.$$.fragment,e),S(U.$$.fragment,e),S(T.$$.fragment,e),S(j.$$.fragment,e),S(K.$$.fragment,e),S(G.$$.fragment,e),S(R.$$.fragment,e),S(W.$$.fragment,e),S(J.$$.fragment,e),be=!0)},o(e){y(H.$$.fragment,e),y(z.$$.fragment,e),y(V.$$.fragment,e),y(U.$$.fragment,e),y(T.$$.fragment,e),y(j.$$.fragment,e),y(K.$$.fragment,e),y(G.$$.fragment,e),y(R.$$.fragment,e),y(W.$$.fragment,e),y(J.$$.fragment,e),be=!1},d(e){e&&(s(E),s(f),s(pe),s(O),s(me),s(F),s(fe),s(N),s(ge),s(q),s(ve),s(x),s(_e),s(c),s(Se),s(M),s(ye),s(w)),s(h),b(H),b(z),b(V),b(U),b(T),b(j),b(K),b(G),b(R),b(W),b(J)}}}const Ct={local:"cmstochasticiterativescheduler",sections:[{local:"diffusers.CMStochasticIterativeScheduler",title:"CMStochasticIterativeScheduler"},{local:"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput",title:"CMStochasticIterativeSchedulerOutput"}],title:"CMStochasticIterativeScheduler"};function xt(ue){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lt extends vt{constructor(h){super(),_t(this,h,xt,$t,mt,{})}}export{Lt as component};
