import{s as Be,n as Ke,o as Qe}from"../chunks/scheduler.182ea377.js";import{S as Xe,i as Ze,g as n,s as r,r as M,A as et,h as o,f as t,c as a,j as p,u as $,x as h,k as d,y as s,a as c,v as w,d as T,t as C,w as O}from"../chunks/index.abf12888.js";import{D as ee}from"../chunks/Docstring.1979e8f9.js";import{I as Ce}from"../chunks/IconCopyLink.f41320b2.js";function tt(Oe){let m,te,f,D,Q,L,_e,U,Le="DDPMScheduler",se,N,Ne='<a href="https://huggingface.co/papers/2006.11239" rel="nofollow">Denoising Diffusion Probabilistic Models</a> (DDPM) by Jonathan Ho, Ajay Jain and Pieter Abbeel proposes a diffusion based model of the same name. In the context of the 🤗 Diffusers library, DDPM refers to the discrete denoising scheduler from the paper as well as the pipeline.',ne,A,Ae="The abstract from the paper is:",oe,E,Ee="<em>We present high quality image synthesis results using diffusion probabilistic models, a class of latent variable models inspired by considerations from nonequilibrium thermodynamics. Our best results are obtained by training on a weighted variational bound designed according to a novel connection between diffusion probabilistic models and denoising score matching with Langevin dynamics, and our models naturally admit a progressive lossy decompression scheme that can be interpreted as a generalization of autoregressive decoding. On the unconditional CIFAR10 dataset, we obtain an Inception score of 9.46 and a state-of-the-art FID score of 3.17. On 256x256 LSUN, we obtain sample quality similar to ProgressiveGAN.</em>",re,g,b,X,q,ve,J,qe="DDPMScheduler",ae,l,F,De,R,Fe="<code>DDPMScheduler</code> explores the connections between denoising score matching and Langevin dynamics sampling.",be,W,Ie=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,xe,x,I,ye,j,ke=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Pe,y,k,Se,G,He="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Me,P,H,$e,Y,Ve=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ie,_,S,Z,V,we,B,ze="DDPMSchedulerOutput",de,v,z,Te,K,Ue="Output class for the scheduler’s <code>step</code> function output.",le;return L=new Ce({}),q=new Ce({}),F=new ee({props:{name:"class diffusers.DDPMScheduler",anchor:"diffusers.DDPMScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"variance_type",val:": str = 'fixed_small'"},{name:"clip_sample",val:": bool = True"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"clip_sample_range",val:": float = 1.0"},{name:"sample_max_value",val:": float = 1.0"},{name:"timestep_spacing",val:": str = 'leading'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DDPMScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DDPMScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DDPMScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DDPMScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DDPMScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, defaults to <code>&quot;fixed_small&quot;</code>) &#x2014;
Clip the variance when adding noise to the denoised sample. Choose from <code>fixed_small</code>, <code>fixed_small_log</code>,
<code>fixed_large</code>, <code>fixed_large_log</code>, <code>learned</code> or <code>learned_range</code>.`,name:"variance_type"},{anchor:"diffusers.DDPMScheduler.clip_sample",description:`<strong>clip_sample</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Clip the predicted sample for numerical stability.`,name:"clip_sample"},{anchor:"diffusers.DDPMScheduler.clip_sample_range",description:`<strong>clip_sample_range</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The maximum magnitude for sample clipping. Valid only when <code>clip_sample=True</code>.`,name:"clip_sample_range"},{anchor:"diffusers.DDPMScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DDPMScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DDPMScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DDPMScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code>.`,name:"sample_max_value"},{anchor:"diffusers.DDPMScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;leading&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DDPMScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ddpm.py#L92"}}),I=new ee({props:{name:"scale_model_input",anchor:"diffusers.DDPMScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.DDPMScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.DDPMScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ddpm.py#L190",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),k=new ee({props:{name:"set_timesteps",anchor:"diffusers.DDPMScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": typing.Optional[int] = None"},{name:"device",val:": typing.Union[str, torch.device] = None"},{name:"timesteps",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"diffusers.DDPMScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model. If used,
<code>timesteps</code> must be <code>None</code>.`,name:"num_inference_steps"},{anchor:"diffusers.DDPMScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"},{anchor:"diffusers.DDPMScheduler.set_timesteps.timesteps",description:`<strong>timesteps</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Custom timesteps used to support arbitrary spacing between timesteps. If <code>None</code>, then the default
timestep spacing strategy of equal spacing between timesteps is used. If <code>timesteps</code> is passed,
<code>num_inference_steps</code> must be <code>None</code>.`,name:"timesteps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ddpm.py#L207"}}),H=new ee({props:{name:"step",anchor:"diffusers.DDPMScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DDPMScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DDPMScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DDPMScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DDPMScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DDPMScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/ddpm#diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput">DDPMSchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ddpm.py#L356",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/ddpm#diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput"
>DDPMSchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/ddpm#diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput"
>DDPMSchedulerOutput</a> or <code>tuple</code></p>
`}}),V=new Ce({}),z=new ee({props:{name:"class diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput",anchor:"diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"},{name:"pred_original_sample",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput.pred_original_sample",description:`<strong>pred_original_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted denoised sample <code>(x_{0})</code> based on the model output from the current timestep.
<code>pred_original_sample</code> can be used to preview progress or for guidance.`,name:"pred_original_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ddpm.py#L31"}}),{c(){m=n("meta"),te=r(),f=n("h1"),D=n("a"),Q=n("span"),M(L.$$.fragment),_e=r(),U=n("span"),U.textContent=Le,se=r(),N=n("p"),N.innerHTML=Ne,ne=r(),A=n("p"),A.textContent=Ae,oe=r(),E=n("p"),E.innerHTML=Ee,re=r(),g=n("h2"),b=n("a"),X=n("span"),M(q.$$.fragment),ve=r(),J=n("span"),J.textContent=qe,ae=r(),l=n("div"),M(F.$$.fragment),De=r(),R=n("p"),R.innerHTML=Fe,be=r(),W=n("p"),W.innerHTML=Ie,xe=r(),x=n("div"),M(I.$$.fragment),ye=r(),j=n("p"),j.textContent=ke,Pe=r(),y=n("div"),M(k.$$.fragment),Se=r(),G=n("p"),G.textContent=He,Me=r(),P=n("div"),M(H.$$.fragment),$e=r(),Y=n("p"),Y.textContent=Ve,ie=r(),_=n("h2"),S=n("a"),Z=n("span"),M(V.$$.fragment),we=r(),B=n("span"),B.textContent=ze,de=r(),v=n("div"),M(z.$$.fragment),Te=r(),K=n("p"),K.innerHTML=Ue,this.h()},l(e){const i=et("svelte-1phssyn",document.head);m=o(i,"META",{name:!0,content:!0}),i.forEach(t),te=a(e),f=o(e,"H1",{class:!0});var ce=p(f);D=o(ce,"A",{id:!0,class:!0,href:!0});var Je=p(D);Q=o(Je,"SPAN",{});var Re=p(Q);$(L.$$.fragment,Re),Re.forEach(t),Je.forEach(t),_e=a(ce),U=o(ce,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-lqeruf"&&(U.textContent=Le),ce.forEach(t),se=a(e),N=o(e,"P",{"data-svelte-h":!0}),h(N)!=="svelte-18lgwlw"&&(N.innerHTML=Ne),ne=a(e),A=o(e,"P",{"data-svelte-h":!0}),h(A)!=="svelte-1cwsb16"&&(A.textContent=Ae),oe=a(e),E=o(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-lc79cq"&&(E.innerHTML=Ee),re=a(e),g=o(e,"H2",{class:!0});var pe=p(g);b=o(pe,"A",{id:!0,class:!0,href:!0});var We=p(b);X=o(We,"SPAN",{});var je=p(X);$(q.$$.fragment,je),je.forEach(t),We.forEach(t),ve=a(pe),J=o(pe,"SPAN",{"data-svelte-h":!0}),h(J)!=="svelte-lqeruf"&&(J.textContent=qe),pe.forEach(t),ae=a(e),l=o(e,"DIV",{class:!0});var u=p(l);$(F.$$.fragment,u),De=a(u),R=o(u,"P",{"data-svelte-h":!0}),h(R)!=="svelte-s0ec9y"&&(R.innerHTML=Fe),be=a(u),W=o(u,"P",{"data-svelte-h":!0}),h(W)!=="svelte-linuuh"&&(W.innerHTML=Ie),xe=a(u),x=o(u,"DIV",{class:!0});var ue=p(x);$(I.$$.fragment,ue),ye=a(ue),j=o(ue,"P",{"data-svelte-h":!0}),h(j)!=="svelte-1rkfgpx"&&(j.textContent=ke),ue.forEach(t),Pe=a(u),y=o(u,"DIV",{class:!0});var he=p(y);$(k.$$.fragment,he),Se=a(he),G=o(he,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1vzm9q"&&(G.textContent=He),he.forEach(t),Me=a(u),P=o(u,"DIV",{class:!0});var me=p(P);$(H.$$.fragment,me),$e=a(me),Y=o(me,"P",{"data-svelte-h":!0}),h(Y)!=="svelte-hi84tp"&&(Y.textContent=Ve),me.forEach(t),u.forEach(t),ie=a(e),_=o(e,"H2",{class:!0});var fe=p(_);S=o(fe,"A",{id:!0,class:!0,href:!0});var Ge=p(S);Z=o(Ge,"SPAN",{});var Ye=p(Z);$(V.$$.fragment,Ye),Ye.forEach(t),Ge.forEach(t),we=a(fe),B=o(fe,"SPAN",{"data-svelte-h":!0}),h(B)!=="svelte-9osz46"&&(B.textContent=ze),fe.forEach(t),de=a(e),v=o(e,"DIV",{class:!0});var ge=p(v);$(z.$$.fragment,ge),Te=a(ge),K=o(ge,"P",{"data-svelte-h":!0}),h(K)!=="svelte-id9kic"&&(K.innerHTML=Ue),ge.forEach(t),this.h()},h(){d(m,"name","hf:doc:metadata"),d(m,"content",JSON.stringify(st)),d(D,"id","ddpmscheduler"),d(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(D,"href","#ddpmscheduler"),d(f,"class","relative group"),d(b,"id","diffusers.DDPMScheduler"),d(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(b,"href","#diffusers.DDPMScheduler"),d(g,"class","relative group"),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"id","diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput"),d(_,"class","relative group"),d(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){s(document.head,m),c(e,te,i),c(e,f,i),s(f,D),s(D,Q),w(L,Q,null),s(f,_e),s(f,U),c(e,se,i),c(e,N,i),c(e,ne,i),c(e,A,i),c(e,oe,i),c(e,E,i),c(e,re,i),c(e,g,i),s(g,b),s(b,X),w(q,X,null),s(g,ve),s(g,J),c(e,ae,i),c(e,l,i),w(F,l,null),s(l,De),s(l,R),s(l,be),s(l,W),s(l,xe),s(l,x),w(I,x,null),s(x,ye),s(x,j),s(l,Pe),s(l,y),w(k,y,null),s(y,Se),s(y,G),s(l,Me),s(l,P),w(H,P,null),s(P,$e),s(P,Y),c(e,ie,i),c(e,_,i),s(_,S),s(S,Z),w(V,Z,null),s(_,we),s(_,B),c(e,de,i),c(e,v,i),w(z,v,null),s(v,Te),s(v,K),le=!0},p:Ke,i(e){le||(T(L.$$.fragment,e),T(q.$$.fragment,e),T(F.$$.fragment,e),T(I.$$.fragment,e),T(k.$$.fragment,e),T(H.$$.fragment,e),T(V.$$.fragment,e),T(z.$$.fragment,e),le=!0)},o(e){C(L.$$.fragment,e),C(q.$$.fragment,e),C(F.$$.fragment,e),C(I.$$.fragment,e),C(k.$$.fragment,e),C(H.$$.fragment,e),C(V.$$.fragment,e),C(z.$$.fragment,e),le=!1},d(e){e&&(t(te),t(f),t(se),t(N),t(ne),t(A),t(oe),t(E),t(re),t(g),t(ae),t(l),t(ie),t(_),t(de),t(v)),t(m),O(L),O(q),O(F),O(I),O(k),O(H),O(V),O(z)}}}const st={local:"ddpmscheduler",sections:[{local:"diffusers.DDPMScheduler",title:"DDPMScheduler"},{local:"diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput",title:"DDPMSchedulerOutput"}],title:"DDPMScheduler"};function nt(Oe){return Qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends Xe{constructor(m){super(),Ze(this,m,nt,tt,Be,{})}}export{dt as component};
