import{s as Ge,n as Ke,o as Re}from"../chunks/scheduler.182ea377.js";import{S as We,i as je,g as s,s as i,r as y,A as Be,h as n,f as r,c as a,j as l,u as w,x as h,k as o,y as t,a as p,v as T,d as C,t as k,w as O}from"../chunks/index.abf12888.js";import{D as X}from"../chunks/Docstring.1979e8f9.js";import{I as ye}from"../chunks/IconCopyLink.f41320b2.js";function Je(we){let f,Z,m,b,J,P,he,V,Te="EulerDiscreteScheduler",ee,F,Ce='The Euler scheduler (Algorithm 2) is from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> paper by Karras et al. This is a fast scheduler which can often generate good outputs in 20-30 steps. The scheduler is based on the original <a href="https://github.com/crowsonkb/k-diffusion/blob/481677d114f6ea445aa009cf5bd7a9cdee909e47/k_diffusion/sampling.py#L51" rel="nofollow">k-diffusion</a> implementation by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',te,g,E,Y,L,fe,U,ke="EulerDiscreteScheduler",re,c,A,me,z,Oe="Euler scheduler.",ge,G,Pe=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,_e,S,q,ve,K,Fe=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep. Scales the denoising model input by <code>(sigma**2 + 1) ** 0.5</code> to match the Euler algorithm.`,be,x,M,Ee,R,Le="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Se,D,N,xe,W,Ae=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,se,_,$,Q,H,De,j,qe="EulerDiscreteSchedulerOutput",ne,v,I,$e,B,Me="Output class for the scheduler’s <code>step</code> function output.",oe;return P=new ye({}),L=new ye({}),A=new X({props:{name:"class diffusers.EulerDiscreteScheduler",anchor:"diffusers.EulerDiscreteScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"interpolation_type",val:": str = 'linear'"},{name:"use_karras_sigmas",val:": typing.Optional[bool] = False"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.EulerDiscreteScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.EulerDiscreteScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.EulerDiscreteScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.EulerDiscreteScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.EulerDiscreteScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.EulerDiscreteScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.EulerDiscreteScheduler.interpolation_type(str,",description:`<strong>interpolation_type(<code>str</code>,</strong> defaults to <code>&quot;linear&quot;</code>, <em>optional</em>) &#x2014;
The interpolation type to compute intermediate sigmas for the scheduler denoising steps. Should be on of
<code>&quot;linear&quot;</code> or <code>&quot;log_linear&quot;</code>.`,name:"interpolation_type(str,"},{anchor:"diffusers.EulerDiscreteScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.EulerDiscreteScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.EulerDiscreteScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_discrete.py#L95"}}),q=new X({props:{name:"scale_model_input",anchor:"diffusers.EulerDiscreteScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"}],parametersDescription:[{anchor:"diffusers.EulerDiscreteScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.EulerDiscreteScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_discrete.py#L196",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),M=new X({props:{name:"set_timesteps",anchor:"diffusers.EulerDiscreteScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.EulerDiscreteScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.EulerDiscreteScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_discrete.py#L222"}}),N=new X({props:{name:"step",anchor:"diffusers.EulerDiscreteScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"},{name:"sample",val:": FloatTensor"},{name:"s_churn",val:": float = 0.0"},{name:"s_tmin",val:": float = 0.0"},{name:"s_tmax",val:": float = inf"},{name:"s_noise",val:": float = 1.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.EulerDiscreteScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.EulerDiscreteScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.EulerDiscreteScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.EulerDiscreteScheduler.step.s_churn",description:"<strong>s_churn</strong> (<code>float</code>) &#x2014;",name:"s_churn"},{anchor:"diffusers.EulerDiscreteScheduler.step.s_tmin",description:"<strong>s_tmin</strong>  (<code>float</code>) &#x2014;",name:"s_tmin"},{anchor:"diffusers.EulerDiscreteScheduler.step.s_tmax",description:"<strong>s_tmax</strong>  (<code>float</code>) &#x2014;",name:"s_tmax"},{anchor:"diffusers.EulerDiscreteScheduler.step.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, defaults to 1.0) &#x2014;
Scaling factor for noise added to the sample.`,name:"s_noise"},{anchor:"diffusers.EulerDiscreteScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.EulerDiscreteScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/euler#diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput">EulerDiscreteSchedulerOutput</a> or
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_discrete.py#L333",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/euler#diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput"
>EulerDiscreteSchedulerOutput</a> is
returned, otherwise a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/euler#diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput"
>EulerDiscreteSchedulerOutput</a> or <code>tuple</code></p>
`}}),H=new ye({}),I=new X({props:{name:"class diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput",anchor:"diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"},{name:"pred_original_sample",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput.pred_original_sample",description:`<strong>pred_original_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted denoised sample <code>(x_{0})</code> based on the model output from the current timestep.
<code>pred_original_sample</code> can be used to preview progress or for guidance.`,name:"pred_original_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_discrete.py#L33"}}),{c(){f=s("meta"),Z=i(),m=s("h1"),b=s("a"),J=s("span"),y(P.$$.fragment),he=i(),V=s("span"),V.textContent=Te,ee=i(),F=s("p"),F.innerHTML=Ce,te=i(),g=s("h2"),E=s("a"),Y=s("span"),y(L.$$.fragment),fe=i(),U=s("span"),U.textContent=ke,re=i(),c=s("div"),y(A.$$.fragment),me=i(),z=s("p"),z.textContent=Oe,ge=i(),G=s("p"),G.innerHTML=Pe,_e=i(),S=s("div"),y(q.$$.fragment),ve=i(),K=s("p"),K.innerHTML=Fe,be=i(),x=s("div"),y(M.$$.fragment),Ee=i(),R=s("p"),R.textContent=Le,Se=i(),D=s("div"),y(N.$$.fragment),xe=i(),W=s("p"),W.textContent=Ae,se=i(),_=s("h2"),$=s("a"),Q=s("span"),y(H.$$.fragment),De=i(),j=s("span"),j.textContent=qe,ne=i(),v=s("div"),y(I.$$.fragment),$e=i(),B=s("p"),B.innerHTML=Me,this.h()},l(e){const d=Be("svelte-1phssyn",document.head);f=n(d,"META",{name:!0,content:!0}),d.forEach(r),Z=a(e),m=n(e,"H1",{class:!0});var ie=l(m);b=n(ie,"A",{id:!0,class:!0,href:!0});var Ne=l(b);J=n(Ne,"SPAN",{});var He=l(J);w(P.$$.fragment,He),He.forEach(r),Ne.forEach(r),he=a(ie),V=n(ie,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-sne4t0"&&(V.textContent=Te),ie.forEach(r),ee=a(e),F=n(e,"P",{"data-svelte-h":!0}),h(F)!=="svelte-1gv4s4b"&&(F.innerHTML=Ce),te=a(e),g=n(e,"H2",{class:!0});var ae=l(g);E=n(ae,"A",{id:!0,class:!0,href:!0});var Ie=l(E);Y=n(Ie,"SPAN",{});var Ve=l(Y);w(L.$$.fragment,Ve),Ve.forEach(r),Ie.forEach(r),fe=a(ae),U=n(ae,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-sne4t0"&&(U.textContent=ke),ae.forEach(r),re=a(e),c=n(e,"DIV",{class:!0});var u=l(c);w(A.$$.fragment,u),me=a(u),z=n(u,"P",{"data-svelte-h":!0}),h(z)!=="svelte-rqsn3u"&&(z.textContent=Oe),ge=a(u),G=n(u,"P",{"data-svelte-h":!0}),h(G)!=="svelte-linuuh"&&(G.innerHTML=Pe),_e=a(u),S=n(u,"DIV",{class:!0});var ce=l(S);w(q.$$.fragment,ce),ve=a(ce),K=n(ce,"P",{"data-svelte-h":!0}),h(K)!=="svelte-1hew89w"&&(K.innerHTML=Fe),ce.forEach(r),be=a(u),x=n(u,"DIV",{class:!0});var de=l(x);w(M.$$.fragment,de),Ee=a(de),R=n(de,"P",{"data-svelte-h":!0}),h(R)!=="svelte-1vzm9q"&&(R.textContent=Le),de.forEach(r),Se=a(u),D=n(u,"DIV",{class:!0});var le=l(D);w(N.$$.fragment,le),xe=a(le),W=n(le,"P",{"data-svelte-h":!0}),h(W)!=="svelte-hi84tp"&&(W.textContent=Ae),le.forEach(r),u.forEach(r),se=a(e),_=n(e,"H2",{class:!0});var ue=l(_);$=n(ue,"A",{id:!0,class:!0,href:!0});var Ue=l($);Q=n(Ue,"SPAN",{});var ze=l(Q);w(H.$$.fragment,ze),ze.forEach(r),Ue.forEach(r),De=a(ue),j=n(ue,"SPAN",{"data-svelte-h":!0}),h(j)!=="svelte-3upulb"&&(j.textContent=qe),ue.forEach(r),ne=a(e),v=n(e,"DIV",{class:!0});var pe=l(v);w(I.$$.fragment,pe),$e=a(pe),B=n(pe,"P",{"data-svelte-h":!0}),h(B)!=="svelte-id9kic"&&(B.innerHTML=Me),pe.forEach(r),this.h()},h(){o(f,"name","hf:doc:metadata"),o(f,"content",JSON.stringify(Ye)),o(b,"id","eulerdiscretescheduler"),o(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(b,"href","#eulerdiscretescheduler"),o(m,"class","relative group"),o(E,"id","diffusers.EulerDiscreteScheduler"),o(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(E,"href","#diffusers.EulerDiscreteScheduler"),o(g,"class","relative group"),o(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o($,"id","diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput"),o($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o($,"href","#diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput"),o(_,"class","relative group"),o(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,f),p(e,Z,d),p(e,m,d),t(m,b),t(b,J),T(P,J,null),t(m,he),t(m,V),p(e,ee,d),p(e,F,d),p(e,te,d),p(e,g,d),t(g,E),t(E,Y),T(L,Y,null),t(g,fe),t(g,U),p(e,re,d),p(e,c,d),T(A,c,null),t(c,me),t(c,z),t(c,ge),t(c,G),t(c,_e),t(c,S),T(q,S,null),t(S,ve),t(S,K),t(c,be),t(c,x),T(M,x,null),t(x,Ee),t(x,R),t(c,Se),t(c,D),T(N,D,null),t(D,xe),t(D,W),p(e,se,d),p(e,_,d),t(_,$),t($,Q),T(H,Q,null),t(_,De),t(_,j),p(e,ne,d),p(e,v,d),T(I,v,null),t(v,$e),t(v,B),oe=!0},p:Ke,i(e){oe||(C(P.$$.fragment,e),C(L.$$.fragment,e),C(A.$$.fragment,e),C(q.$$.fragment,e),C(M.$$.fragment,e),C(N.$$.fragment,e),C(H.$$.fragment,e),C(I.$$.fragment,e),oe=!0)},o(e){k(P.$$.fragment,e),k(L.$$.fragment,e),k(A.$$.fragment,e),k(q.$$.fragment,e),k(M.$$.fragment,e),k(N.$$.fragment,e),k(H.$$.fragment,e),k(I.$$.fragment,e),oe=!1},d(e){e&&(r(Z),r(m),r(ee),r(F),r(te),r(g),r(re),r(c),r(se),r(_),r(ne),r(v)),r(f),O(P),O(L),O(A),O(q),O(M),O(N),O(H),O(I)}}}const Ye={local:"eulerdiscretescheduler",sections:[{local:"diffusers.EulerDiscreteScheduler",title:"EulerDiscreteScheduler"},{local:"diffusers.schedulers.scheduling_euler_discrete.EulerDiscreteSchedulerOutput",title:"EulerDiscreteSchedulerOutput"}],title:"EulerDiscreteScheduler"};function Qe(we){return Re(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class rt extends We{constructor(f){super(),je(this,f,Qe,Je,Ge,{})}}export{rt as component};
