import{s as It,n as qt,o as Ut}from"../chunks/scheduler.6e0d5ff7.js";import{S as At,i as Rt,g as l,s as a,r as it,E as St,h as s,f as n,c as o,j as lt,u as st,x as r,k as m,y as A,a as i,v as at,d as ot,t as rt,w as ft}from"../chunks/index.d7c1b260.js";import{I as Zt}from"../chunks/IconCopyLink.25a5ed79.js";import{C as kt}from"../chunks/CodeBlock.a07b664f.js";function zt(dt){let f,R,d,u,U,h,nt,q,ut="🧨 Diffusers 학습 예시",S,p,ct="이번 챕터에서는 다양한 유즈케이스들에 대한 예제 코드들을 통해 어떻게하면 효과적으로 <code>diffusers</code> 라이브러리를 사용할 수 있을까에 대해 알아보도록 하겠습니다.",Z,b,gt='<strong>Note</strong>: 혹시 오피셜한 예시코드를 찾고 있다면, <a href="https://github.com/huggingface/diffusers/tree/main/src/diffusers/pipelines" rel="nofollow">여기</a>를 참고해보세요!',z,x,mt="여기서 다룰 예시들은 다음을 지향합니다.",j,v,ht='<li><strong>손쉬운 디펜던시 설치</strong> (Self-contained) : 여기서 사용될 예시 코드들의 디펜던시 패키지들은 전부 <code>pip install</code> 명령어를 통해 설치 가능한 패키지들입니다. 또한 친절하게 <code>requirements.txt</code> 파일에 해당 패키지들이 명시되어 있어, <code>pip install -r requirements.txt</code>로 간편하게 해당 디펜던시들을 설치할 수 있습니다. 예시: <a href="https://github.com/huggingface/diffusers/blob/main/examples/unconditional_image_generation/train_unconditional.py" rel="nofollow">train_unconditional.py</a>, <a href="https://github.com/huggingface/diffusers/blob/main/examples/unconditional_image_generation/requirements.txt" rel="nofollow">requirements.txt</a></li> <li><strong>손쉬운 수정</strong> (Easy-to-tweak) : 저희는 가능하면 많은 유즈 케이스들을 제공하고자 합니다. 하지만 예시는 결국 그저 예시라는 점들 기억해주세요. 여기서 제공되는 예시코드들을 그저 단순히 복사-붙혀넣기하는 식으로는 여러분이 마주한 문제들을 손쉽게 해결할 순 없을 것입니다. 다시 말해 어느 정도는 여러분의 상황과 니즈에 맞춰 코드를 일정 부분 고쳐나가야 할 것입니다. 따라서 대부분의 학습 예시들은 데이터의 전처리 과정과 학습 과정에 대한 코드들을 함께 제공함으로써, 사용자가 니즈에 맞게 손쉬운 수정할 수 있도록 돕고 있습니다.</li> <li><strong>입문자 친화적인</strong> (Beginner-friendly) : 이번 챕터는 diffusion 모델과 <code>diffusers</code> 라이브러리에 대한 전반적인 이해를 돕기 위해 작성되었습니다. 따라서 diffusion 모델에 대한 최신 SOTA (state-of-the-art) 방법론들 가운데서도, 입문자에게는 많이 어려울 수 있다고 판단되면, 해당 방법론들은 여기서 다루지 않으려고 합니다.</li> <li><strong>하나의 태스크만 포함할 것</strong>(One-purpose-only): 여기서 다룰 예시들은 하나의 태스크만 포함하고 있어야 합니다. 물론 이미지 초해상화(super-resolution)와 이미지 보정(modification)과 같은 유사한 모델링 프로세스를 갖는 태스크들이 존재하겠지만, 하나의 예제에 하나의 태스크만을 담는 것이 더 이해하기 용이하다고 판단했기 때문입니다.</li>',E,_,pt='저희는 diffusion 모델의 대표적인 태스크들을 다루는 공식 예제를 제공하고 있습니다. <em>공식</em> 예제는 현재 진행형으로 <code>diffusers</code> 관리자들(maintainers)에 의해 관리되고 있습니다. 또한 저희는 앞서 정의한 저희의 철학을 엄격하게 따르고자 노력하고 있습니다. 혹시 여러분께서 이러한 예시가 반드시 필요하다고 생각되신다면, 언제든지 <a href="https://github.com/huggingface/diffusers/issues/new?assignees=&amp;labels=&amp;template=feature_request.md&amp;title=" rel="nofollow">Feature Request</a> 혹은 직접 <a href="https://github.com/huggingface/diffusers/compare" rel="nofollow">Pull Request</a>를 주시기 바랍니다. 저희는 언제나 환영입니다!',J,C,bt="학습 예시들은 다양한 태스크들에 대해 diffusion 모델을 사전학습(pretrain)하거나 파인튜닝(fine-tuning)하는 법을 보여줍니다. 현재 다음과 같은 예제들을 지원하고 있습니다.",G,T,xt='<li><a href="./unconditional_training">Unconditional Training</a></li> <li><a href="./text2image">Text-to-Image Training</a></li> <li><a href="./text_inversion">Text Inversion</a></li> <li><a href="./dreambooth">Dreambooth</a></li>',N,w,vt='memory-efficient attention 연산을 수행하기 위해, 가능하면 <a href="../optimization/xformers">xFormers</a>를 설치해주시기 바랍니다. 이를 통해 학습 속도를 늘리고 메모리에 대한 부담을 줄일 수 있습니다.',W,y,_t='<thead><tr><th>Task</th> <th>🤗 Accelerate</th> <th align="center">🤗 Datasets</th> <th align="center">Colab</th></tr></thead> <tbody><tr><td><a href="./unconditional_training"><strong>Unconditional Image Generation</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center"><a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/training_example.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td></tr> <tr><td><a href="./text2image"><strong>Text-to-Image fine-tuning</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center"></td></tr> <tr><td><a href="./text_inversion"><strong>Textual Inversion</strong></a></td> <td>✅</td> <td align="center">-</td> <td align="center"><a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/sd_textual_inversion_training.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td></tr> <tr><td><a href="./dreambooth"><strong>Dreambooth</strong></a></td> <td>✅</td> <td align="center">-</td> <td align="center"><a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/sd_dreambooth_training.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td></tr> <tr><td><a href="./lora"><strong>Training with LoRA</strong></a></td> <td>✅</td> <td align="center">-</td> <td align="center">-</td></tr> <tr><td><a href="./controlnet"><strong>ControlNet</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center">-</td></tr> <tr><td><a href="./instructpix2pix"><strong>InstructPix2Pix</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center">-</td></tr> <tr><td><a href="./custom_diffusion"><strong>Custom Diffusion</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center">-</td></tr></tbody>',B,c,Ct="커뮤니티",D,L,Tt="공식 예제 외에도 <strong>커뮤니티 예제</strong> 역시 제공하고 있습니다. 해당 예제들은 우리의 커뮤니티에 의해 관리됩니다. 커뮤니티 예쩨는 학습 예시나 추론 파이프라인으로 구성될 수 있습니다. 이러한 커뮤니티 예시들의 경우,  앞서 정의했던 철학들을 좀 더 관대하게 적용하고 있습니다. 또한 이러한 커뮤니티 예시들의 경우, 모든 이슈들에 대한 유지보수를 보장할 수는 없습니다.",O,M,wt='유용하긴 하지만, 아직은 대중적이지 못하거나 저희의 철학에 부합하지 않는 예제들은 <a href="https://github.com/huggingface/diffusers/tree/main/examples/community" rel="nofollow">community examples</a> 폴더에 담기게 됩니다.',F,H,yt='<strong>Note</strong>: 커뮤니티 예제는 <code>diffusers</code>에 기여(contribution)를 희망하는 분들에게 <a href="https://github.com/huggingface/diffusers/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22" rel="nofollow">아주 좋은 기여 수단</a>이 될 수 있습니다.',V,g,Lt="주목할 사항들",Q,$,Mt="최신 버전의 예시 코드들의 성공적인 구동을 보장하기 위해서는, 반드시 <strong>소스코드를 통해 <code>diffusers</code>를 설치해야 하며,</strong> 해당 예시 코드들이 요구하는 디펜던시들 역시 설치해야 합니다. 이를 위해 새로운 가상 환경을 구축하고 다음의 명령어를 실행해야 합니다.",Y,P,X,k,Ht="그 다음 <code>cd</code> 명령어를 통해 해당 예제 디렉토리에 접근해서 다음 명령어를 실행하면 됩니다.",K,I,tt;return h=new Zt({}),P=new kt({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZodWdnaW5nZmFjZSUyRmRpZmZ1c2VycyUwQWNkJTIwZGlmZnVzZXJzJTBBcGlwJTIwaW5zdGFsbCUyMC4=",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/huggingface/diffusers
<span class="hljs-built_in">cd</span> diffusers
pip install .`}}),I=new kt({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1yJTIwcmVxdWlyZW1lbnRzLnR4dA==",highlighted:"pip install -r requirements.txt"}}),{c(){f=l("meta"),R=a(),d=l("h1"),u=l("a"),U=l("span"),it(h.$$.fragment),nt=a(),q=l("span"),q.textContent=ut,S=a(),p=l("p"),p.innerHTML=ct,Z=a(),b=l("p"),b.innerHTML=gt,z=a(),x=l("p"),x.textContent=mt,j=a(),v=l("ul"),v.innerHTML=ht,E=a(),_=l("p"),_.innerHTML=pt,J=a(),C=l("p"),C.textContent=bt,G=a(),T=l("ul"),T.innerHTML=xt,N=a(),w=l("p"),w.innerHTML=vt,W=a(),y=l("table"),y.innerHTML=_t,B=a(),c=l("h2"),c.textContent=Ct,D=a(),L=l("p"),L.innerHTML=Tt,O=a(),M=l("p"),M.innerHTML=wt,F=a(),H=l("p"),H.innerHTML=yt,V=a(),g=l("h2"),g.textContent=Lt,Q=a(),$=l("p"),$.innerHTML=Mt,Y=a(),it(P.$$.fragment),X=a(),k=l("p"),k.innerHTML=Ht,K=a(),it(I.$$.fragment),this.h()},l(t){const e=St("svelte-1phssyn",document.head);f=s(e,"META",{name:!0,content:!0}),e.forEach(n),R=o(t),d=s(t,"H1",{class:!0});var et=lt(d);u=s(et,"A",{id:!0,class:!0,href:!0});var $t=lt(u);U=s($t,"SPAN",{});var Pt=lt(U);st(h.$$.fragment,Pt),Pt.forEach(n),$t.forEach(n),nt=o(et),q=s(et,"SPAN",{"data-svelte-h":!0}),r(q)!=="svelte-5vmxq2"&&(q.textContent=ut),et.forEach(n),S=o(t),p=s(t,"P",{"data-svelte-h":!0}),r(p)!=="svelte-ix9hpg"&&(p.innerHTML=ct),Z=o(t),b=s(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-y61l4q"&&(b.innerHTML=gt),z=o(t),x=s(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1oj1it8"&&(x.textContent=mt),j=o(t),v=s(t,"UL",{"data-svelte-h":!0}),r(v)!=="svelte-12hcx83"&&(v.innerHTML=ht),E=o(t),_=s(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1ipa2jt"&&(_.innerHTML=pt),J=o(t),C=s(t,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17g36b2"&&(C.textContent=bt),G=o(t),T=s(t,"UL",{"data-svelte-h":!0}),r(T)!=="svelte-elov9z"&&(T.innerHTML=xt),N=o(t),w=s(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-w5df01"&&(w.innerHTML=vt),W=o(t),y=s(t,"TABLE",{"data-svelte-h":!0}),r(y)!=="svelte-dnxkud"&&(y.innerHTML=_t),B=o(t),c=s(t,"H2",{id:!0,"data-svelte-h":!0}),r(c)!=="svelte-123f49y"&&(c.textContent=Ct),D=o(t),L=s(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-8tlpkz"&&(L.innerHTML=Tt),O=o(t),M=s(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-fovf62"&&(M.innerHTML=wt),F=o(t),H=s(t,"P",{"data-svelte-h":!0}),r(H)!=="svelte-x93w7o"&&(H.innerHTML=yt),V=o(t),g=s(t,"H2",{id:!0,"data-svelte-h":!0}),r(g)!=="svelte-bkntiq"&&(g.textContent=Lt),Q=o(t),$=s(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-1av4xl1"&&($.innerHTML=Mt),Y=o(t),st(P.$$.fragment,t),X=o(t),k=s(t,"P",{"data-svelte-h":!0}),r(k)!=="svelte-8w90gs"&&(k.innerHTML=Ht),K=o(t),st(I.$$.fragment,t),this.h()},h(){m(f,"name","hf:doc:metadata"),m(f,"content",JSON.stringify(jt)),m(u,"id","diffusers"),m(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(u,"href","#diffusers"),m(d,"class","relative group"),m(c,"id",""),m(g,"id","")},m(t,e){A(document.head,f),i(t,R,e),i(t,d,e),A(d,u),A(u,U),at(h,U,null),A(d,nt),A(d,q),i(t,S,e),i(t,p,e),i(t,Z,e),i(t,b,e),i(t,z,e),i(t,x,e),i(t,j,e),i(t,v,e),i(t,E,e),i(t,_,e),i(t,J,e),i(t,C,e),i(t,G,e),i(t,T,e),i(t,N,e),i(t,w,e),i(t,W,e),i(t,y,e),i(t,B,e),i(t,c,e),i(t,D,e),i(t,L,e),i(t,O,e),i(t,M,e),i(t,F,e),i(t,H,e),i(t,V,e),i(t,g,e),i(t,Q,e),i(t,$,e),i(t,Y,e),at(P,t,e),i(t,X,e),i(t,k,e),i(t,K,e),at(I,t,e),tt=!0},p:qt,i(t){tt||(ot(h.$$.fragment,t),ot(P.$$.fragment,t),ot(I.$$.fragment,t),tt=!0)},o(t){rt(h.$$.fragment,t),rt(P.$$.fragment,t),rt(I.$$.fragment,t),tt=!1},d(t){t&&(n(R),n(d),n(S),n(p),n(Z),n(b),n(z),n(x),n(j),n(v),n(E),n(_),n(J),n(C),n(G),n(T),n(N),n(w),n(W),n(y),n(B),n(c),n(D),n(L),n(O),n(M),n(F),n(H),n(V),n(g),n(Q),n($),n(Y),n(X),n(k),n(K)),n(f),ft(h),ft(P,t),ft(I,t)}}}const jt={local:"diffusers",sections:[{local:"",title:"커뮤니티"},{local:"",title:"주목할 사항들"}],title:"🧨 Diffusers 학습 예시"};function Et(dt){return Ut(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bt extends At{constructor(f){super(),Rt(this,f,Et,zt,It,{})}}export{Bt as component};
