import{s as pe,j as me,n as fe,o as ue}from"../chunks/scheduler.6e0d5ff7.js";import{S as ce,i as ge,g as a,s as n,r as j,E as de,h as o,f as s,c as i,x as p,u as C,j as he,k as T,y as be,a as l,v as P,d as Z,t as J,w as U}from"../chunks/index.d7c1b260.js";import{C as Y}from"../chunks/CodeBlock.a07b664f.js";import{D as _e}from"../chunks/DocNotebookDropdown.31d20eca.js";function $e(z){let m,G,f,K="조건부 이미지 생성",L,u,q,c,O="조건부 이미지 생성을 사용하면 텍스트 프롬프트에서 이미지를 생성할 수 있습니다. 텍스트는 임베딩으로 변환되며, 임베딩은 노이즈에서 이미지를 생성하도록 모델을 조건화하는 데 사용됩니다.",I,g,ee="<code>DiffusionPipeline</code>은 추론을 위해 사전 훈련된 diffusion 시스템을 사용하는 가장 쉬운 방법입니다.",W,d,te='먼저 <code>DiffusionPipeline</code>의 인스턴스를 생성하고 다운로드할 파이프라인 <a href="https://huggingface.co/models?library=diffusers&amp;sort=downloads" rel="nofollow">체크포인트</a>를 지정합니다.',H,h,se='이 가이드에서는 <a href="https://huggingface.co/CompVis/ldm-text2im-large-256" rel="nofollow">잠재 Diffusion</a>과 함께 텍스트-이미지 생성에 <code>DiffusionPipeline</code>을 사용합니다:',V,b,D,_,le=`<code>DiffusionPipeline</code>은 모든 모델링, 토큰화, 스케줄링 구성 요소를 다운로드하고 캐시합니다.
이 모델은 약 14억 개의 파라미터로 구성되어 있기 때문에 GPU에서 실행할 것을 강력히 권장합니다.
PyTorch에서와 마찬가지로 생성기 객체를 GPU로 이동할 수 있습니다:`,N,$,B,y,ne="이제 텍스트 프롬프트에서 <code>생성기</code>를 사용할 수 있습니다:",S,v,F,w,ie='출력값은 기본적으로 <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow"><code>PIL.Image</code></a> 객체로 래핑됩니다.',E,M,ae="호출하여 이미지를 저장할 수 있습니다:",R,x,X,k,oe="아래 스페이스를 사용해보고 안내 배율 매개변수를 자유롭게 조정하여 이미지 품질에 어떤 영향을 미치는지 확인해 보세요!",A,r,re,Q;return u=new _e({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/conditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/pytorch/conditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/tensorflow/conditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/conditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/pytorch/conditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/tensorflow/conditional_image_generation.ipynb"}]}}),b=new Y({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMkNvbXBWaXMlMkZsZG0tdGV4dDJpbS1sYXJnZS0yNTYlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;CompVis/ldm-text2im-large-256&quot;</span>)`}}),$=new Y({props:{code:"Z2VuZXJhdG9yLnRvKCUyMmN1ZGElMjIp",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>generator.to(<span class="hljs-string">&quot;cuda&quot;</span>)'}}),v=new Y({props:{code:"aW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IoJTIyQW4lMjBpbWFnZSUyMG9mJTIwYSUyMHNxdWlycmVsJTIwaW4lMjBQaWNhc3NvJTIwc3R5bGUlMjIpLmltYWdlcyU1QjAlNUQ=",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image = generator(<span class="hljs-string">&quot;An image of a squirrel in Picasso style&quot;</span>).images[<span class="hljs-number">0</span>]'}}),x=new Y({props:{code:"aW1hZ2Uuc2F2ZSglMjJpbWFnZV9vZl9zcXVpcnJlbF9wYWludGluZy5wbmclMjIp",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;image_of_squirrel_painting.png&quot;</span>)'}}),{c(){m=a("meta"),G=n(),f=a("h1"),f.textContent=K,L=n(),j(u.$$.fragment),q=n(),c=a("p"),c.textContent=O,I=n(),g=a("p"),g.innerHTML=ee,W=n(),d=a("p"),d.innerHTML=te,H=n(),h=a("p"),h.innerHTML=se,V=n(),j(b.$$.fragment),D=n(),_=a("p"),_.innerHTML=le,N=n(),j($.$$.fragment),B=n(),y=a("p"),y.innerHTML=ne,S=n(),j(v.$$.fragment),F=n(),w=a("p"),w.innerHTML=ie,E=n(),M=a("p"),M.textContent=ae,R=n(),j(x.$$.fragment),X=n(),k=a("p"),k.textContent=oe,A=n(),r=a("iframe"),this.h()},l(e){const t=de("svelte-1phssyn",document.head);m=o(t,"META",{name:!0,content:!0}),t.forEach(s),G=i(e),f=o(e,"H1",{id:!0,"data-svelte-h":!0}),p(f)!=="svelte-1r6oi1q"&&(f.textContent=K),L=i(e),C(u.$$.fragment,e),q=i(e),c=o(e,"P",{"data-svelte-h":!0}),p(c)!=="svelte-ywp3eh"&&(c.textContent=O),I=i(e),g=o(e,"P",{"data-svelte-h":!0}),p(g)!=="svelte-rsjwii"&&(g.innerHTML=ee),W=i(e),d=o(e,"P",{"data-svelte-h":!0}),p(d)!=="svelte-16j05gn"&&(d.innerHTML=te),H=i(e),h=o(e,"P",{"data-svelte-h":!0}),p(h)!=="svelte-1zljx"&&(h.innerHTML=se),V=i(e),C(b.$$.fragment,e),D=i(e),_=o(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-1swfe66"&&(_.innerHTML=le),N=i(e),C($.$$.fragment,e),B=i(e),y=o(e,"P",{"data-svelte-h":!0}),p(y)!=="svelte-yx8neo"&&(y.innerHTML=ne),S=i(e),C(v.$$.fragment,e),F=i(e),w=o(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-kfigs4"&&(w.innerHTML=ie),E=i(e),M=o(e,"P",{"data-svelte-h":!0}),p(M)!=="svelte-1qprq36"&&(M.textContent=ae),R=i(e),C(x.$$.fragment,e),X=i(e),k=o(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-1av7pf"&&(k.textContent=oe),A=i(e),r=o(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),he(r).forEach(s),this.h()},h(){T(m,"name","hf:doc:metadata"),T(m,"content",JSON.stringify(ye)),T(f,"id",""),me(r.src,re="https://stabilityai-stable-diffusion.hf.space")||T(r,"src",re),T(r,"frameborder","0"),T(r,"width","850"),T(r,"height","500")},m(e,t){be(document.head,m),l(e,G,t),l(e,f,t),l(e,L,t),P(u,e,t),l(e,q,t),l(e,c,t),l(e,I,t),l(e,g,t),l(e,W,t),l(e,d,t),l(e,H,t),l(e,h,t),l(e,V,t),P(b,e,t),l(e,D,t),l(e,_,t),l(e,N,t),P($,e,t),l(e,B,t),l(e,y,t),l(e,S,t),P(v,e,t),l(e,F,t),l(e,w,t),l(e,E,t),l(e,M,t),l(e,R,t),P(x,e,t),l(e,X,t),l(e,k,t),l(e,A,t),l(e,r,t),Q=!0},p:fe,i(e){Q||(Z(u.$$.fragment,e),Z(b.$$.fragment,e),Z($.$$.fragment,e),Z(v.$$.fragment,e),Z(x.$$.fragment,e),Q=!0)},o(e){J(u.$$.fragment,e),J(b.$$.fragment,e),J($.$$.fragment,e),J(v.$$.fragment,e),J(x.$$.fragment,e),Q=!1},d(e){e&&(s(G),s(f),s(L),s(q),s(c),s(I),s(g),s(W),s(d),s(H),s(h),s(V),s(D),s(_),s(N),s(B),s(y),s(S),s(F),s(w),s(E),s(M),s(R),s(X),s(k),s(A),s(r)),s(m),U(u,e),U(b,e),U($,e),U(v,e),U(x,e)}}}const ye={local:"",title:"조건부 이미지 생성"};function ve(z){return ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Te extends ce{constructor(m){super(),ge(this,m,ve,$e,pe,{})}}export{Te as component};
